#ifndef __IMF_H__
#define __IMF_H__
#include <MFAtlas.h>
#include <IMFFlow.h>

#ifdef __cplusplus
extern "C"
 {
#endif

void MFSetError(int,char*,char*,int,char*);
static char MFIMFErrorMsg[256]="";

int  MFSolveFull(int,double*,double*);
int  IMFSolveFull(int,double*,double*);
void IMFPrintFull(int,double*,double*);
void IMFPrintFullSchematic(int,double*,double*);

MFAtlas IMFComputeStableInvariantManifold(IMFFlow,char*,MFNVector,MFNRegion,double,double,double,int,int,double,int);
MFAtlas IMFComputeUnstableInvariantManifold(IMFFlow,char*,MFNVector,MFNRegion,double,double,double,int,int,double,int);
MFAtlas IMFComputeInvariantManifold(IMFFlow,char*,MFAtlas,MFNRegion,double,double,double,int,int,double);

MFAtlas IMFComputeStableInvariantManifold2(IMFFlow,char*,MFNVector,MFNRegion,double,double,double,int,int,double,int);
MFAtlas IMFComputeUnstableInvariantManifold2(IMFFlow,char*,MFNVector,MFNRegion,double,double,double,int,int,double,int);

#ifdef __cplusplus
 }
#endif

#endif
