/* 
    @(#)MFError.h	1.3
    02/04/19 14:41:17
   
    PROGRAM NAME:  Manifold
   
    (c) COPYRIGHT INTERNATIONAL BUSINESS MACHINES
    CORPORATION 12/1/2001.  ALL RIGHTS RESERVED.
   
    Please refer to the LICENSE file in the top directory

*/
/*      author: Mike Henderson mhender@watson.ibm.com */
/*      date:   November 11, 1997                     */
/*              February 2, 1999   Ported to C        */
/*              February 17, 1999  Changed for MF     */

#ifndef __MFERROR_H__
#define __MFERROR_H__
#include <MFBase.h>
#ifdef __cplusplus
extern "C"
 {
#endif
int MFNErrors(void);
int MFErrorSev(int);
char *MFErrorRoutine(int);
char *MFErrorMsg(int);
int MFErrorLine(int);
char *MFErrorFile(int);
int MFError(void);
void MFClearErrors(void);
#ifdef __cplusplus
 }
#endif
#endif
