#ifndef __POLYTOPE_H__
#define __POLYTOPE_H__
#ifdef __cplusplus
extern "C"
 {
#endif
struct Polytope;
struct Polytope *createHyperCube(int,double,double*);
void subtractHalfSpaceFromPolytope(struct Polytope*,double,double*);

struct Polytope *createEmptyPolytope(int);
int addVertex(struct Polytope*,double*,int*);
void removeVertex(struct Polytope*,int);
int addEdge(struct Polytope*,int,int,int*);
void removeEdge(struct Polytope*,int);
int *intersectIndex(int*,int*);
void insertIndex(int**,int);
void printPolytope(struct Polytope*);
void PolytopeToDXFile(char*,struct Polytope*);
#ifdef __cplusplus
 }
#endif
#endif
