/* 
    @(#)MFTimings.c	1.5
    02/04/19 16:31:59
   
    PROGRAM NAME:  Manifold

    (c) COPYRIGHT INTERNATIONAL BUSINESS MACHINES
    CORPORATION 12/1/2001.  ALL RIGHTS RESERVED.

    Please refer to the LICENSE file in the top directory

*/
/*      author: Mike Henderson mhender@watson.ibm.com */
/*      date:   Sept. 20, 1999                        */
#include <MFTime.h>
#include <stdio.h>

void MFTimeReset()
 {
#ifdef MFTIMINGS
  MFTimeMFIMFCreatePolygonIn3SpaceWithRadius=0;
  MFCalledMFIMFCreatePolygonIn3SpaceWithRadius=0;
  MFTimeMFFreePolygonIn3SpaceData=0;
  MFCalledMFFreePolygonIn3SpaceData=0;
  MFTimeMFProjectPolygonIn3Space=0;
  MFCalledMFProjectPolygonIn3Space=0;
  MFTimeMFTangentPolygonIn3Space=0;
  MFCalledMFTangentPolygonIn3Space=0;
  MFTimeMFScalePolygonIn3Space=0;
  MFCalledMFScalePolygonIn3Space=0;
  MFTimeMFWritePolygonIn3SpaceData=0;
  MFCalledMFWritePolygonIn3SpaceData=0;
  MFTimeMFReadPolygonIn3Space=0;
  MFCalledMFReadPolygonIn3Space=0;
  MFTimeMFCreateAtlas=0;
  MFCalledMFCreateAtlas=0;
  MFTimeMFFreeAtlas=0;
  MFCalledMFFreeAtlas=0;
  MFTimeMFAtlasK=0;
  MFCalledMFAtlasK=0;
  MFTimeMFAtlasN=0;
  MFCalledMFAtlasN=0;
  MFTimeMFNumberOfCharts=0;
  MFCalledMFNumberOfCharts=0;
  MFTimeMFAtlasChartRadius=0;
  MFCalledMFAtlasChartRadius=0;
  MFTimeMFAtlasCenterOfChart=0;
  MFCalledMFAtlasCenterOfChart=0;
  MFTimeMFAtlasIsPointInChart=0;
  MFCalledMFAtlasIsPointInChart=0;
  MFTimeMFAtlasEvaluateChart=0;
  MFCalledMFAtlasEvaluateChart=0;
  MFTimeMFAtlasNumberOfChartsWithBoundary=0;
  MFCalledMFAtlasNumberOfChartsWithBoundary=0;
  MFTimeMFAtlasChartWithBoundary=0;
  MFCalledMFAtlasChartWithBoundary=0;
  MFTimeMFAtlasAddChartWithApproxTS=0;
  MFCalledMFAtlasAddChartWithApproxTS=0;
  MFTimeMFAtlasPointOnBoundaryInsideRegion=0;
  MFCalledMFAtlasPointOnBoundaryInsideRegion=0;
  MFTimeMFAddHalfSpaceToAtlas=0;
  MFCalledMFAddHalfSpaceToAtlas=0;
  MFTimeMFAtlasChartCenter=0;
  MFCalledMFAtlasChartCenter=0;
  MFTimeMFAtlasIsPointInPolytope=0;
  MFCalledMFAtlasIsPointInPolytope=0;
  MFTimeMFAtlasOffset=0;
  MFCalledMFAtlasOffset=0;
  MFTimeMFAtlasGlobalIndex=0;
  MFCalledMFAtlasGlobalIndex=0;
  MFTimeMFAtlasIsHalfSpaceHyperCube=0;
  MFCalledMFAtlasIsHalfSpaceHyperCube=0;
  MFTimeMFAtlasLeftPolytope=0;
  MFCalledMFAtlasLeftPolytope=0;
  MFTimeMFAtlasRightPolytope=0;
  MFCalledMFAtlasRightPolytope=0;
  MFTimeMFAtlasM=0;
  MFCalledMFAtlasM=0;
  MFTimeMFAtlasIsHalfSpaceInBothPolytopes=0;
  MFCalledMFAtlasIsHalfSpaceInBothPolytopes=0;
  MFTimeMFAtlasAddChartToBoundaryList=0;
  MFCalledMFAtlasAddChartToBoundaryList=0;
  MFTimeMFAtlasRemoveChartFromBoundaryList=0;
  MFCalledMFAtlasRemoveChartFromBoundaryList=0;
  MFTimeMFAddInitialHyperplanes=0;
  MFCalledMFAddInitialHyperplanes=0;
  MFTimeMFAtlasAddChartToList=0;
  MFCalledMFAtlasAddChartToList=0;
  MFTimeMFAtlasChart=0;
  MFCalledMFAtlasChart=0;
  MFTimeMFAtlasNumberOfHalfSpaces=0;
  MFCalledMFAtlasNumberOfHalfSpaces=0;
  MFTimeMFAtlasHalfSpaceIndex=0;
  MFCalledMFAtlasHalfSpaceIndex=0;
  MFTimeMFAtlasHalfSpaceLeftChart=0;
  MFCalledMFAtlasHalfSpaceLeftChart=0;
  MFTimeMFAtlasHalfSpaceRightChart=0;
  MFCalledMFAtlasHalfSpaceRightChart=0;
  MFTimeMFAtlasHalfSpaceNormal=0;
  MFCalledMFAtlasHalfSpaceNormal=0;
  MFTimeMFAtlasHalfSpaceOrigin=0;
  MFCalledMFAtlasHalfSpaceOrigin=0;
  MFTimeMFAtlasChartTangentSpace=0;
  MFCalledMFAtlasChartTangentSpace=0;
  MFTimeMFReadAtlas=0;
  MFCalledMFReadAtlas=0;
  MFTimeMFWriteAtlas=0;
  MFCalledMFWriteAtlas=0;
  MFTimeMFAtlasMF=0;
  MFCalledMFAtlasMF=0;
  MFTimeMFTestAtlas=0;
  MFCalledMFTestAtlas=0;
  MFTimeMFAtlasReduceChartRadius=0;
  MFCalledMFAtlasReduceChartRadius=0;
  MFTimeMFCreateBinaryTree=0;
  MFCalledMFCreateBinaryTree=0;
  MFTimeMFCreateBinaryTreeLeaf=0;
  MFCalledMFCreateBinaryTreeLeaf=0;
  MFTimeMFFreeBinaryTree=0;
  MFCalledMFFreeBinaryTree=0;
  MFTimeMFFreeBinaryTreeLeaf=0;
  MFCalledMFFreeBinaryTreeLeaf=0;
  MFTimeMFBinaryTreeAddChart=0;
  MFCalledMFBinaryTreeAddChart=0;
  MFTimeMFBinaryTreeLeafAddChart=0;
  MFCalledMFBinaryTreeLeafAddChart=0;
  MFTimeMFBinaryTreeGetIntersectingCharts=0;
  MFCalledMFBinaryTreeGetIntersectingCharts=0;
  MFTimeMFCreateListOfIntersectingCharts=0;
  MFCalledMFCreateListOfIntersectingCharts=0;
  MFTimeMFWriteBinaryTree=0;
  MFCalledMFWriteBinaryTree=0;
  MFTimeMFReadBinaryTree=0;
  MFCalledMFReadBinaryTree=0;
  MFTimeMFFreeCSTRData=0;
  MFCalledMFFreeCSTRData=0;
  MFTimeMFScaleCSTR=0;
  MFCalledMFScaleCSTR=0;
  MFTimeMFProjectCSTR=0;
  MFCalledMFProjectCSTR=0;
  MFTimeMFTangentCSTR=0;
  MFCalledMFTangentCSTR=0;
  MFTimeMFTangentCSTRWithGuess=0;
  MFCalledMFTangentCSTRWithGuess=0;
  MFTimeCSTR=0;
  MFCalledCSTR=0;
  MFTimedCSTR=0;
  MFCalleddCSTR=0;
  MFTimeddCSTR=0;
  MFCalledddCSTR=0;
  MFTimeMFCurvatureCSTR=0;
  MFCalledMFCurvatureCSTR=0;
  MFTimeMFReadCSTR=0;
  MFCalledMFReadCSTR=0;
  MFTimeMFWriteCSTRData=0;
  MFCalledMFWriteCSTRData=0;
  MFTimeMFIMFCreateCSTR=0;
  MFCalledMFIMFCreateCSTR=0;
  MFTimeMFCreateChart=0;
  MFCalledMFCreateChart=0;
  MFTimeMFSubtractHalfSpaceFromChart=0;
  MFCalledMFSubtractHalfSpaceFromChart=0;
  MFTimeMFRefChart=0;
  MFCalledMFRefChart=0;
  MFTimeMFFreeChart=0;
  MFCalledMFFreeChart=0;
  MFTimeMFChartPolytope=0;
  MFCalledMFChartPolytope=0;
  MFTimeMFSetChartPolytope=0;
  MFCalledMFSetChartPolytope=0;
  MFTimeMFSetChartRadius=0;
  MFCalledMFSetChartRadius=0;
  MFTimeMFChartCenter=0;
  MFCalledMFChartCenter=0;
  MFTimeMFChartTangentSpace=0;
  MFCalledMFChartTangentSpace=0;
  MFTimeMFChartRadius=0;
  MFCalledMFChartRadius=0;
  MFTimeMFChartEvaluate=0;
  MFCalledMFChartEvaluate=0;
  MFTimeMFChartInterior=0;
  MFCalledMFChartInterior=0;
  MFTimeMFChartProjectIntoTangentSpace=0;
  MFCalledMFChartProjectIntoTangentSpace=0;
  MFTimeMFChartProjectVectorIntoTangentSpace=0;
  MFCalledMFChartProjectVectorIntoTangentSpace=0;
  MFTimeMFChartPointInTangentSpace=0;
  MFCalledMFChartPointInTangentSpace=0;
  MFTimeMFChartHasBoundary=0;
  MFCalledMFChartHasBoundary=0;
  MFTimeMFChartK=0;
  MFCalledMFChartK=0;
  MFTimeMFChartN=0;
  MFCalledMFChartN=0;
  MFTimeMFWriteChart=0;
  MFCalledMFWriteChart=0;
  MFTimeMFReadChart=0;
  MFCalledMFReadChart=0;
  MFTimeMFChartTotallyInterior=0;
  MFCalledMFChartTotallyInterior=0;
  MFTimeMFIMFCreateCircle=0;
  MFCalledMFIMFCreateCircle=0;
  MFTimeMFFreeCircleData=0;
  MFCalledMFFreeCircleData=0;
  MFTimeMFProjectCircle=0;
  MFCalledMFProjectCircle=0;
  MFTimeMFTangentCircle=0;
  MFCalledMFTangentCircle=0;
  MFTimeMFScaleCircle=0;
  MFCalledMFScaleCircle=0;
  MFTimeMFWriteCircleData=0;
  MFCalledMFWriteCircleData=0;
  MFTimeMFReadCircle=0;
  MFCalledMFReadCircle=0;
  MFTimeMFPolytopeToDXFile=0;
  MFCalledMFPolytopeToDXFile=0;
  MFTimeMFDrawInitialize=0;
  MFCalledMFDrawInitialize=0;
  MFTimeMFDrawInitializeCube=0;
  MFCalledMFDrawInitializeCube=0;
  MFTimeMFDrawClose=0;
  MFCalledMFDrawClose=0;
  MFTimeMFDrawClear=0;
  MFCalledMFDrawClear=0;
  MFTimeMFDrawDisplay=0;
  MFCalledMFDrawDisplay=0;
  MFTimeMFDrawInterval=0;
  MFCalledMFDrawInterval=0;
  MFTimeMFDrawPolygon=0;
  MFCalledMFDrawPolygon=0;
  MFTimeMFDrawPolyhedron=0;
  MFCalledMFDrawPolyhedron=0;
  MFTimeMFDrawPolytope=0;
  MFCalledMFDrawPolytope=0;
  MFTimeMFDrawPolytopeTS=0;
  MFCalledMFDrawPolytopeTS=0;
  MFTimeMFDraw1dChart=0;
  MFCalledMFDraw1dChart=0;
  MFTimeMFDraw2dChart=0;
  MFCalledMFDraw2dChart=0;
  MFTimeMFDraw3dChart=0;
  MFCalledMFDraw3dChart=0;
  MFTimeMFDraw1dChartBoundary=0;
  MFCalledMFDraw1dChartBoundary=0;
  MFTimeMFDraw2dChartBoundary=0;
  MFCalledMFDraw2dChartBoundary=0;
  MFTimeMFDraw3dChartBoundary=0;
  MFCalledMFDraw3dChartBoundary=0;
  MFTimeMFTest3dChartBoundary=0;
  MFCalledMFTest3dChartBoundary=0;
  MFTimeMFDrawChart=0;
  MFCalledMFDrawChart=0;
  MFTimeMFDrawChartBoundary=0;
  MFCalledMFDrawChartBoundary=0;
  MFTimeMFDrawAtlas=0;
  MFCalledMFDrawAtlas=0;
  MFTimeMFDrawAtlasOnce=0;
  MFCalledMFDrawAtlasOnce=0;
  MFTimeMFDrawMakeListOfTriangles=0;
  MFCalledMFDrawMakeListOfTriangles=0;
  MFTimeMFDrawProjectTo3d=0;
  MFCalledMFDrawProjectTo3d=0;
  MFTimeMFDrawEnumPolytope=0;
  MFCalledMFDrawEnumPolytope=0;
  MFTimeMFDrawMarkPoint=0;
  MFCalledMFDrawMarkPoint=0;
  MFTimeMFDrawMarkPointOnChart=0;
  MFCalledMFDrawMarkPointOnChart=0;
  MFTimeMFDrawLineOnChart=0;
  MFCalledMFDrawLineOnChart=0;
  MFTimeMFDrawEnumDualPolytope=0;
  MFCalledMFDrawEnumDualPolytope=0;
  MFTimeMFDrawLine=0;
  MFCalledMFDrawLine=0;
  MFTimeMFDrawChartTS=0;
  MFCalledMFDrawChartTS=0;
  MFTimeMFDrawAtlasTS=0;
  MFCalledMFDrawAtlasTS=0;
  MFTimeMFDraw1dChartTS=0;
  MFCalledMFDraw1dChartTS=0;
  MFTimeMFDraw2dChartTS=0;
  MFCalledMFDraw2dChartTS=0;
  MFTimeMFDrawEnumPolytopeTS=0;
  MFCalledMFDrawEnumPolytopeTS=0;
  MFTimeMFDrawLineOnChartTS=0;
  MFCalledMFDrawLineOnChartTS=0;
  MFTimeMFCreateChartState=0;
  MFCalledMFCreateChartState=0;
  MFTimeMFAddChartState=0;
  MFCalledMFAddChartState=0;
  MFTimeMFNChartStates=0;
  MFCalledMFNChartStates=0;
  MFTimeMFClearChartState=0;
  MFCalledMFClearChartState=0;
  MFTimeMFFreeChartState=0;
  MFCalledMFFreeChartState=0;
  MFTimeMFSetChartStateColor=0;
  MFCalledMFSetChartStateColor=0;
  MFTimeMFChartStateAddPolygon=0;
  MFCalledMFChartStateAddPolygon=0;
  MFTimeMFChartStateAddPolygonWithNormal=0;
  MFCalledMFChartStateAddPolygonWithNormal=0;
  MFTimeMFChartStateAddLine=0;
  MFCalledMFChartStateAddLine=0;
  MFTimeMFGetChartState=0;
  MFCalledMFGetChartState=0;
  MFTimeMFChartStateChanged=0;
  MFCalledMFChartStateChanged=0;
  MFTimeMFDrawChartFromState=0;
  MFCalledMFDrawChartFromState=0;
  MFTimeMFFreeDrawCharts=0;
  MFCalledMFFreeDrawCharts=0;
  MFTimeMFDrawClippedSphere=0;
  MFCalledMFDrawClippedSphere=0;
  MFTimeMFEnumerateDual=0;
  MFCalledMFEnumerateDual=0;
  MFTimeMFDualIntersectIndices=0;
  MFCalledMFDualIntersectIndices=0;
  MFTimeMFCreateDualZeroCellV=0;
  MFCalledMFCreateDualZeroCellV=0;
  MFTimeMFCreateDualZeroCell=0;
  MFCalledMFCreateDualZeroCell=0;
  MFTimeMFCreateEmptyNComplex=0;
  MFCalledMFCreateEmptyNComplex=0;
  MFTimeMFDualIndicesEqual=0;
  MFCalledMFDualIndicesEqual=0;
  MFTimeMFFreeEnumDualPolytope=0;
  MFCalledMFFreeEnumDualPolytope=0;
  MFTimeMFFreeDualCell=0;
  MFCalledMFFreeDualCell=0;
  MFTimeMFEnumDualPolytopeNumberOfVertices=0;
  MFCalledMFEnumDualPolytopeNumberOfVertices=0;
  MFTimeMFEnumDualPolytopeNumberOfCells=0;
  MFCalledMFEnumDualPolytopeNumberOfCells=0;
  MFTimeMFEnumDualPolytopeNumberOfCellFaces=0;
  MFCalledMFEnumDualPolytopeNumberOfCellFaces=0;
  MFTimeMFEnumDualPolytopeCellFace=0;
  MFCalledMFEnumDualPolytopeCellFace=0;
  MFTimeMFEnumDualPolytopeNumberOfFaceCells=0;
  MFCalledMFEnumDualPolytopeNumberOfFaceCells=0;
  MFTimeMFEnumDualPolytopeNumberOfCellIndices=0;
  MFCalledMFEnumDualPolytopeNumberOfCellIndices=0;
  MFTimeMFEnumDualPolytopeCellIndex=0;
  MFCalledMFEnumDualPolytopeCellIndex=0;
  MFTimeMFEnumDualPolytopeFaceCell=0;
  MFCalledMFEnumDualPolytopeFaceCell=0;
  MFTimeEPSortDualPolytopeIndices=0;
  MFCalledEPSortDualPolytopeIndices=0;
  MFTimeEPDualCollapseIndices=0;
  MFCalledEPDualCollapseIndices=0;
  MFTimeMFCreateDualZeroCellWithEdgeList=0;
  MFCalledMFCreateDualZeroCellWithEdgeList=0;
  MFTimeMFEnumDualPolytopeDimension=0;
  MFCalledMFEnumDualPolytopeDimension=0;
  MFTimeMFTestEnumPolytope=0;
  MFCalledMFTestEnumPolytope=0;
  MFTimeMFEnumDualPolytopeVerticesOnDualCell=0;
  MFCalledMFEnumDualPolytopeVerticesOnDualCell=0;
  MFTimeMFEnumDualOfAtlas=0;
  MFCalledMFEnumDualOfAtlas=0;
  MFTimeMFEnumDualPolytopeVertex=0;
  MFCalledMFEnumDualPolytopeVertex=0;
  MFTimeMFTestEnumDualPolytope=0;
  MFCalledMFTestEnumDualPolytope=0;
  MFTimeMFCreateDualOfEnumPolytope=0;
  MFCalledMFCreateDualOfEnumPolytope=0;
  MFTimeMFEnumeratePolytope=0;
  MFCalledMFEnumeratePolytope=0;
  MFTimeMFEnumerate=0;
  MFCalledMFEnumerate=0;
  MFTimeMFIntersectIndices=0;
  MFCalledMFIntersectIndices=0;
  MFTimeMFCreateZeroCellV=0;
  MFCalledMFCreateZeroCellV=0;
  MFTimeMFCreateZeroCell=0;
  MFCalledMFCreateZeroCell=0;
  MFTimeMFCreateEmptyKComplex=0;
  MFCalledMFCreateEmptyKComplex=0;
  MFTimeMFIndicesEqual=0;
  MFCalledMFIndicesEqual=0;
  MFTimeMFFreeEnumPolytope=0;
  MFCalledMFFreeEnumPolytope=0;
  MFTimeMFFreeCell=0;
  MFCalledMFFreeCell=0;
  MFTimeMFEnumPolytopeNumberOfVertices=0;
  MFCalledMFEnumPolytopeNumberOfVertices=0;
  MFTimeMFEnumPolytopeNumberOfCells=0;
  MFCalledMFEnumPolytopeNumberOfCells=0;
  MFTimeMFEnumPolytopeNumberOfCellFaces=0;
  MFCalledMFEnumPolytopeNumberOfCellFaces=0;
  MFTimeMFEnumPolytopeCellFace=0;
  MFCalledMFEnumPolytopeCellFace=0;
  MFTimeMFEnumPolytopeNumberOfFaceCells=0;
  MFCalledMFEnumPolytopeNumberOfFaceCells=0;
  MFTimeMFEnumPolytopeNumberOfCellIndices=0;
  MFCalledMFEnumPolytopeNumberOfCellIndices=0;
  MFTimeMFEnumPolytopeCellIndex=0;
  MFCalledMFEnumPolytopeCellIndex=0;
  MFTimeMFEnumPolytopeFaceCell=0;
  MFCalledMFEnumPolytopeFaceCell=0;
  MFTimeEPSortPolytopeIndices=0;
  MFCalledEPSortPolytopeIndices=0;
  MFTimeEPCollapseIndices=0;
  MFCalledEPCollapseIndices=0;
  MFTimeMFCreateZeroCellWithEdgeList=0;
  MFCalledMFCreateZeroCellWithEdgeList=0;
  MFTimeMFEnumPolytopeDimension=0;
  MFCalledMFEnumPolytopeDimension=0;
  MFTimeMFEnumPolytopeIsCellExterior=0;
  MFCalledMFEnumPolytopeIsCellExterior=0;
  MFTimeMFEnumPolytopeVerticesOnCell=0;
  MFCalledMFEnumPolytopeVerticesOnCell=0;
  MFTimeMFEnumerateAtlas=0;
  MFCalledMFEnumerateAtlas=0;
  MFTimeMFEnumPolytopeVertex=0;
  MFCalledMFEnumPolytopeVertex=0;
  MFTimeMFIMFCreateExpression=0;
  MFCalledMFIMFCreateExpression=0;
  MFTimeMFFreeExpressionData=0;
  MFCalledMFFreeExpressionData=0;
  MFTimeMFWriteExpressionData=0;
  MFCalledMFWriteExpressionData=0;
  MFTimeMFReadExpression=0;
  MFCalledMFReadExpression=0;
  MFTimeMFProjectExpression=0;
  MFCalledMFProjectExpression=0;
  MFTimeMFTangentExpression=0;
  MFCalledMFTangentExpression=0;
  MFTimeMFScaleExpression=0;
  MFCalledMFScaleExpression=0;
  MFTimeMFIMFCreateFlat=0;
  MFCalledMFIMFCreateFlat=0;
  MFTimeMFFreeFlatData=0;
  MFCalledMFFreeFlatData=0;
  MFTimeMFProjectFlat=0;
  MFCalledMFProjectFlat=0;
  MFTimeMFTangentFlat=0;
  MFCalledMFTangentFlat=0;
  MFTimeMFWriteFlatData=0;
  MFCalledMFWriteFlatData=0;
  MFTimeMFReadFlat=0;
  MFCalledMFReadFlat=0;
  MFTimeMFRefImplicitMF=0;
  MFCalledMFRefImplicitMF=0;
  MFTimeMFImplicitMFId=0;
  MFCalledMFImplicitMFId=0;
  MFTimeMFFreeImplicitMF=0;
  MFCalledMFFreeImplicitMF=0;
  MFTimeMFIMF_N=0;
  MFCalledMFIMF_N=0;
  MFTimeMFIMF_K=0;
  MFCalledMFIMF_K=0;
  MFTimeMFIMFNSpace=0;
  MFCalledMFIMFNSpace=0;
  MFTimeMFIMFProject=0;
  MFCalledMFIMFProject=0;
  MFTimeMFIMFTangentSpace=0;
  MFCalledMFIMFTangentSpace=0;
  MFTimeMFIMFTangentSpaceWithGuess=0;
  MFCalledMFIMFTangentSpaceWithGuess=0;
  MFTimeMFIMFScale=0;
  MFCalledMFIMFScale=0;
  MFTimeMFWriteImplicitMF=0;
  MFCalledMFWriteImplicitMF=0;
  MFTimeMFReadImplicitMF=0;
  MFCalledMFReadImplicitMF=0;
  MFTimeMFCreateKVector=0;
  MFCalledMFCreateKVector=0;
  MFTimeMFCreateKVectorWithFullData=0;
  MFCalledMFCreateKVectorWithFullData=0;
  MFTimeMFFreeKVector=0;
  MFCalledMFFreeKVector=0;
  MFTimeMFKV_NC=0;
  MFCalledMFKV_NC=0;
  MFTimeMFKV_C=0;
  MFCalledMFKV_C=0;
  MFTimeMFKVSetC=0;
  MFCalledMFKVSetC=0;
  MFTimeMFRefKVector=0;
  MFCalledMFRefKVector=0;
  MFTimeMFKVDot=0;
  MFCalledMFKVDot=0;
  MFTimeMFKVNorm=0;
  MFCalledMFKVNorm=0;
  MFTimeMFKVScale=0;
  MFCalledMFKVScale=0;
  MFTimeMFKVScaleMul=0;
  MFCalledMFKVScaleMul=0;
  MFTimeMFKV_CStar=0;
  MFCalledMFKV_CStar=0;
  MFTimeMFKVDiff=0;
  MFCalledMFKVDiff=0;
  MFTimeMFKVAdd=0;
  MFCalledMFKVAdd=0;
  MFTimeMFWriteKVector=0;
  MFCalledMFWriteKVector=0;
  MFTimeMFReadKVector=0;
  MFCalledMFReadKVector=0;
  MFTimeMFCreateListOfCharts=0;
  MFCalledMFCreateListOfCharts=0;
  MFTimeMFNumberOfIntersectingCharts=0;
  MFCalledMFNumberOfIntersectingCharts=0;
  MFTimeMFIntersectingChart=0;
  MFCalledMFIntersectingChart=0;
  MFTimeMFFreeListOfIntersectingCharts=0;
  MFCalledMFFreeListOfIntersectingCharts=0;
  MFTimeMFFreeNKMatrix=0;
  MFCalledMFFreeNKMatrix=0;
  MFTimeMFRefMatrix=0;
  MFCalledMFRefMatrix=0;
  MFTimeMFCreateNKMatrix=0;
  MFCalledMFCreateNKMatrix=0;
  MFTimeMFCreateNKMatrixWithData=0;
  MFCalledMFCreateNKMatrixWithData=0;
  MFTimeMFNKM_CStar=0;
  MFCalledMFNKM_CStar=0;
  MFTimeMFWriteNKMatrix=0;
  MFCalledMFWriteNKMatrix=0;
  MFTimeMFReadNKMatrix=0;
  MFCalledMFReadNKMatrix=0;
  MFTimeMFRegionInterior=0;
  MFCalledMFRegionInterior=0;
  MFTimeMFFreeNRegion=0;
  MFCalledMFFreeNRegion=0;
  MFTimeMFNRegionCreateCube=0;
  MFCalledMFNRegionCreateCube=0;
  MFTimeCubeTest=0;
  MFCalledCubeTest=0;
  MFTimeCubeFree=0;
  MFCalledCubeFree=0;
  MFTimeMFNRegionCreateRectangle=0;
  MFCalledMFNRegionCreateRectangle=0;
  MFTimeRectangleTest=0;
  MFCalledRectangleTest=0;
  MFTimeRectangleFree=0;
  MFCalledRectangleFree=0;
  MFTimeMFNRegionCreateHyperCube=0;
  MFCalledMFNRegionCreateHyperCube=0;
  MFTimeHyperCubeTest=0;
  MFCalledHyperCubeTest=0;
  MFTimeHyperCubeFree=0;
  MFCalledHyperCubeFree=0;
  MFTimeMFNRegionCreatePendula=0;
  MFCalledMFNRegionCreatePendula=0;
  MFTimePendulaTest=0;
  MFCalledPendulaTest=0;
  MFTimePendulaFree=0;
  MFCalledPendulaFree=0;
  MFTimeMFNRegionCreatePendulaFour=0;
  MFCalledMFNRegionCreatePendulaFour=0;
  MFTimePendulaFourTest=0;
  MFCalledPendulaFourTest=0;
  MFTimePendulaFourFree=0;
  MFCalledPendulaFourFree=0;
  MFTimeMFNRegionCreateDodecahedronMinusIcosahedron=0;
  MFCalledMFNRegionCreateDodecahedronMinusIcosahedron=0;
  MFTimeDodIcosTest=0;
  MFCalledDodIcosTest=0;
  MFTimeDodIcosFree=0;
  MFCalledDodIcosFree=0;
  MFTimeMFNRegionCreatePolygonal3dRegion=0;
  MFCalledMFNRegionCreatePolygonal3dRegion=0;
  MFTimeMF3dPolygonTest=0;
  MFCalledMF3dPolygonTest=0;
  MFTimeMF3dPolygonFree=0;
  MFCalledMF3dPolygonFree=0;
  MFTimeMFCreateNSpace=0;
  MFCalledMFCreateNSpace=0;
  MFTimeMFCreateWeightedNSpace=0;
  MFCalledMFCreateWeightedNSpace=0;
  MFTimeMFCreateNSpaceWithExponents=0;
  MFCalledMFCreateNSpaceWithExponents=0;
  MFTimeMFCreateWeightedNSpaceWithExponents=0;
  MFCalledMFCreateWeightedNSpaceWithExponents=0;
  MFTimeMFRefNSpace=0;
  MFCalledMFRefNSpace=0;
  MFTimeMFFreeNSpace=0;
  MFCalledMFFreeNSpace=0;
  MFTimeMFNSpaceDistance=0;
  MFCalledMFNSpaceDistance=0;
  MFTimeMFNSpaceDirection=0;
  MFCalledMFNSpaceDirection=0;
  MFTimeMFNSpaceInner=0;
  MFCalledMFNSpaceInner=0;
  MFTimeMFWriteNSpace=0;
  MFCalledMFWriteNSpace=0;
  MFTimeMFReadNSpace=0;
  MFCalledMFReadNSpace=0;
  MFTimeMFIMFCreateNSpace=0;
  MFCalledMFIMFCreateNSpace=0;
  MFTimeMFIMFCreateNSpaceWithData=0;
  MFCalledMFIMFCreateNSpaceWithData=0;
  MFTimeMFFreeNSpaceData=0;
  MFCalledMFFreeNSpaceData=0;
  MFTimeMFProjectNSpace=0;
  MFCalledMFProjectNSpace=0;
  MFTimeMFTangentNSpace=0;
  MFCalledMFTangentNSpace=0;
  MFTimeMFScaleNSpace=0;
  MFCalledMFScaleNSpace=0;
  MFTimeMFWriteNSpaceData=0;
  MFCalledMFWriteNSpaceData=0;
  MFTimeMFReadNSpaceMF=0;
  MFCalledMFReadNSpaceMF=0;
  MFTimeMFCreateNVector=0;
  MFCalledMFCreateNVector=0;
  MFTimeMFCreateNVectorWithFullData=0;
  MFCalledMFCreateNVectorWithFullData=0;
  MFTimeMFFreeNVector=0;
  MFCalledMFFreeNVector=0;
  MFTimeMFNV_NC=0;
  MFCalledMFNV_NC=0;
  MFTimeMFNV_C=0;
  MFCalledMFNV_C=0;
  MFTimeMFNVSetC=0;
  MFCalledMFNVSetC=0;
  MFTimeMFRefNVector=0;
  MFCalledMFRefNVector=0;
  MFTimeMFNVDiff=0;
  MFCalledMFNVDiff=0;
  MFTimeMFNVAdd=0;
  MFCalledMFNVAdd=0;
  MFTimeMFNV_CStar=0;
  MFCalledMFNV_CStar=0;
  MFTimeMFWriteNVector=0;
  MFCalledMFWriteNVector=0;
  MFTimeMFReadNVector=0;
  MFCalledMFReadNVector=0;
  MFTimeMFIMFCreatePendula=0;
  MFCalledMFIMFCreatePendula=0;
  MFTimeMFFreePendulaData=0;
  MFCalledMFFreePendulaData=0;
  MFTimeMFScalePendula=0;
  MFCalledMFScalePendula=0;
  MFTimeGPendula=0;
  MFCalledGPendula=0;
  MFTimeMFProjectPendula=0;
  MFCalledMFProjectPendula=0;
  MFTimeMFTangentPendula=0;
  MFCalledMFTangentPendula=0;
  MFTimeMFTangentPendulaWithGuess=0;
  MFCalledMFTangentPendulaWithGuess=0;
  MFTimeGuPendula=0;
  MFCalledGuPendula=0;
  MFTimeTGuuPendula=0;
  MFCalledTGuuPendula=0;
  MFTimeTGuPendula=0;
  MFCalledTGuPendula=0;
  MFTimeGuuPendula=0;
  MFCalledGuuPendula=0;
  MFTimeMFWritePendulaData=0;
  MFCalledMFWritePendulaData=0;
  MFTimeMFReadPendula=0;
  MFCalledMFReadPendula=0;
  MFTimeMFReadPendulaFour=0;
  MFCalledMFReadPendulaFour=0;
  MFTimeMFFreePendulaFourData=0;
  MFCalledMFFreePendulaFourData=0;
  MFTimeMFScalePendulaFour=0;
  MFCalledMFScalePendulaFour=0;
  MFTimeGPendulaFour=0;
  MFCalledGPendulaFour=0;
  MFTimeMFProjectPendulaFour=0;
  MFCalledMFProjectPendulaFour=0;
  MFTimeMFTangentPendulaFour=0;
  MFCalledMFTangentPendulaFour=0;
  MFTimeMFTangentPendulaFourWithGuess=0;
  MFCalledMFTangentPendulaFourWithGuess=0;
  MFTimeGuPendulaFour=0;
  MFCalledGuPendulaFour=0;
  MFTimeTGuuPendulaFour=0;
  MFCalledTGuuPendulaFour=0;
  MFTimeGuuPendulaFour=0;
  MFCalledGuuPendulaFour=0;
  MFTimeMFWritePendulaFourData=0;
  MFCalledMFWritePendulaFourData=0;
  MFTimeMFIMFCreatePendulaFour=0;
  MFCalledMFIMFCreatePendulaFour=0;
  MFTimeMFIMFCreatePlane=0;
  MFCalledMFIMFCreatePlane=0;
  MFTimeMFFreePlaneData=0;
  MFCalledMFFreePlaneData=0;
  MFTimeMFProjectPlane=0;
  MFCalledMFProjectPlane=0;
  MFTimeMFTangentPlane=0;
  MFCalledMFTangentPlane=0;
  MFTimeMFScalePlane=0;
  MFCalledMFScalePlane=0;
  MFTimeMFWritePlaneData=0;
  MFCalledMFWritePlaneData=0;
  MFTimeMFReadPlane=0;
  MFCalledMFReadPlane=0;
  MFTimeMFCreateHyperCubeAtOrigin=0;
  MFCalledMFCreateHyperCubeAtOrigin=0;
  MFTimeMFCreateSimplexAtOrigin=0;
  MFCalledMFCreateSimplexAtOrigin=0;
  MFTimeMFFreePolytope=0;
  MFCalledMFFreePolytope=0;
  MFTimeMFSubtractHalfSpaceFromPolytope=0;
  MFCalledMFSubtractHalfSpaceFromPolytope=0;
  MFTimeMFPolytopeDimension=0;
  MFCalledMFPolytopeDimension=0;
  MFTimeMFPolytopeNumberOfVertices=0;
  MFCalledMFPolytopeNumberOfVertices=0;
  MFTimeMFPolytopeVertex=0;
  MFCalledMFPolytopeVertex=0;
  MFTimeMFPolytopeNumberOfVertexIndices=0;
  MFCalledMFPolytopeNumberOfVertexIndices=0;
  MFTimeMFPolytopeVertexIndex=0;
  MFCalledMFPolytopeVertexIndex=0;
  MFTimeMFPolytopeVertexIndexSet=0;
  MFCalledMFPolytopeVertexIndexSet=0;
  MFTimeMFPolytopeVertexNumberOfIndices=0;
  MFCalledMFPolytopeVertexNumberOfIndices=0;
  MFTimeMFPolytopeAddVertex=0;
  MFCalledMFPolytopeAddVertex=0;
  MFTimeMFPolytopeAddVertexIndexIntoSet=0;
  MFCalledMFPolytopeAddVertexIndexIntoSet=0;
  MFTimeMFPolytopeIntersectIndexSets=0;
  MFCalledMFPolytopeIntersectIndexSets=0;
  MFTimeMFPolytopeNumberOfFaces=0;
  MFCalledMFPolytopeNumberOfFaces=0;
  MFTimeMFPolytopeFaceIndex=0;
  MFCalledMFPolytopeFaceIndex=0;
  MFTimeMFPolytopeFaceNormal=0;
  MFCalledMFPolytopeFaceNormal=0;
  MFTimeMFPolytopeFaceOrigin=0;
  MFCalledMFPolytopeFaceOrigin=0;
  MFTimeMFPolytopeNumberOfVerticesOnFace=0;
  MFCalledMFPolytopeNumberOfVerticesOnFace=0;
  MFTimeMFPolytopeRadiusOfVertex=0;
  MFCalledMFPolytopeRadiusOfVertex=0;
  MFTimeMFPolytopeUpdateFaceList=0;
  MFCalledMFPolytopeUpdateFaceList=0;
  MFTimeMFPolytopeVerticesOnSameEdge=0;
  MFCalledMFPolytopeVerticesOnSameEdge=0;
  MFTimeMFPolytopeVerticesOnEdgeWithIndexLessThan=0;
  MFCalledMFPolytopeVerticesOnEdgeWithIndexLessThan=0;
  MFTimeMFPolytopeVertexLargestIndex=0;
  MFCalledMFPolytopeVertexLargestIndex=0;
  MFTimeMFPolytopeVertexSmallestIndex=0;
  MFCalledMFPolytopeVertexSmallestIndex=0;
  MFTimeMFPolytopeLargestVertexIndex=0;
  MFCalledMFPolytopeLargestVertexIndex=0;
  MFTimeMFPolytopeSmallestVertexIndex=0;
  MFCalledMFPolytopeSmallestVertexIndex=0;
  MFTimeMFPolytopeInterior=0;
  MFCalledMFPolytopeInterior=0;
  MFTimeMFPolytopeTotallyInterior=0;
  MFCalledMFPolytopeTotallyInterior=0;
  MFTimeMFPolytopeLargestRadiusOfVertex=0;
  MFCalledMFPolytopeLargestRadiusOfVertex=0;
  MFTimeMFWritePolytope=0;
  MFCalledMFWritePolytope=0;
  MFTimeMFReadPolytope=0;
  MFCalledMFReadPolytope=0;
  MFTimeMFTestPolytope=0;
  MFCalledMFTestPolytope=0;
  MFTimeMFPolytopeMergeCloseVertices=0;
  MFCalledMFPolytopeMergeCloseVertices=0;
  MFTimeMFPolytopeMergeVertices=0;
  MFCalledMFPolytopeMergeVertices=0;
  MFTimeMFPolytopeUnionOfIndexSets=0;
  MFCalledMFPolytopeUnionOfIndexSets=0;
  MFTimeMFTestVertexIndexOrder=0;
  MFCalledMFTestVertexIndexOrder=0;
  MFTimeMFPolytopeTestVertexList=0;
  MFCalledMFPolytopeTestVertexList=0;
  MFTimeMFIMFCreateSphere=0;
  MFCalledMFIMFCreateSphere=0;
  MFTimeMFFreeSphereData=0;
  MFCalledMFFreeSphereData=0;
  MFTimeMFProjectSphere=0;
  MFCalledMFProjectSphere=0;
  MFTimeMFTangentSphere=0;
  MFCalledMFTangentSphere=0;
  MFTimeMFScaleSphere=0;
  MFCalledMFScaleSphere=0;
  MFTimeMFWriteSphereData=0;
  MFCalledMFWriteSphereData=0;
  MFTimeMFReadSphere=0;
  MFCalledMFReadSphere=0;
  MFTimeMFIMFCreateSwallow=0;
  MFCalledMFIMFCreateSwallow=0;
  MFTimeMFFreeSwallowData=0;
  MFCalledMFFreeSwallowData=0;
  MFTimeMFProjectSwallow=0;
  MFCalledMFProjectSwallow=0;
  MFTimeMFTangentSwallow=0;
  MFCalledMFTangentSwallow=0;
  MFTimeMFScaleSwallow=0;
  MFCalledMFScaleSwallow=0;
  MFTimeMFWriteSwallowData=0;
  MFCalledMFWriteSwallowData=0;
  MFTimeMFReadSwallow=0;
  MFCalledMFReadSwallow=0;
  MFTimeMFIMFCreateTorus=0;
  MFCalledMFIMFCreateTorus=0;
  MFTimeMFFreeTorusData=0;
  MFCalledMFFreeTorusData=0;
  MFTimeMFProjectTorus=0;
  MFCalledMFProjectTorus=0;
  MFTimeMFTangentTorus=0;
  MFCalledMFTangentTorus=0;
  MFTimeMFScaleTorus=0;
  MFCalledMFScaleTorus=0;
  MFTimeMFWriteTorusData=0;
  MFCalledMFWriteTorusData=0;
  MFTimeMFReadTorus=0;
  MFCalledMFReadTorus=0;
  MFTimeMFAtlasNumberOfCharts=0;
  MFCalledMFAtlasNumberOfCharts=0;
  MFTimeMFCreateNVectorWithData=0;
  MFCalledMFCreateNVectorWithData=0;
  MFTimeMFCreateKVectorWithData=0;
  MFCalledMFCreateKVectorWithData=0;
  MFTimeMFMVMul=0;
  MFCalledMFMVMul=0;
  MFTimeMFMVMulT=0;
  MFCalledMFMVMulT=0;
  MFTimeMFMColumn=0;
  MFCalledMFMColumn=0;
  MFTimeMFMRow=0;
  MFCalledMFMRow=0;
  MFTimeMFTestBoundaryPoint=0;
  MFCalledMFTestBoundaryPoint=0;

#endif
  return;
 }

void MFTimeReport(FILE *fid)
 {
#ifdef MFTIMINGS
  if(MFCalledMFIMFCreatePolygonIn3SpaceWithRadius>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFCreatePolygonIn3SpaceWithRadius\n",MFCalledMFIMFCreatePolygonIn3SpaceWithRadius,MFTimeMFIMFCreatePolygonIn3SpaceWithRadius);
  if(MFCalledMFFreePolygonIn3SpaceData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreePolygonIn3SpaceData\n",MFCalledMFFreePolygonIn3SpaceData,MFTimeMFFreePolygonIn3SpaceData);
  if(MFCalledMFProjectPolygonIn3Space>0)
    fprintf(fid,"      %8dx, %8d tics:  MFProjectPolygonIn3Space\n",MFCalledMFProjectPolygonIn3Space,MFTimeMFProjectPolygonIn3Space);
  if(MFCalledMFTangentPolygonIn3Space>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTangentPolygonIn3Space\n",MFCalledMFTangentPolygonIn3Space,MFTimeMFTangentPolygonIn3Space);
  if(MFCalledMFScalePolygonIn3Space>0)
    fprintf(fid,"      %8dx, %8d tics:  MFScalePolygonIn3Space\n",MFCalledMFScalePolygonIn3Space,MFTimeMFScalePolygonIn3Space);
  if(MFCalledMFWritePolygonIn3SpaceData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWritePolygonIn3SpaceData\n",MFCalledMFWritePolygonIn3SpaceData,MFTimeMFWritePolygonIn3SpaceData);
  if(MFCalledMFReadPolygonIn3Space>0)
    fprintf(fid,"      %8dx, %8d tics:  MFReadPolygonIn3Space\n",MFCalledMFReadPolygonIn3Space,MFTimeMFReadPolygonIn3Space);
  if(MFCalledMFCreateAtlas>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateAtlas\n",MFCalledMFCreateAtlas,MFTimeMFCreateAtlas);
  if(MFCalledMFFreeAtlas>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeAtlas\n",MFCalledMFFreeAtlas,MFTimeMFFreeAtlas);
  if(MFCalledMFAtlasK>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasK\n",MFCalledMFAtlasK,MFTimeMFAtlasK);
  if(MFCalledMFAtlasN>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasN\n",MFCalledMFAtlasN,MFTimeMFAtlasN);
  if(MFCalledMFNumberOfCharts>0)
    fprintf(fid,"      %8dx, %8d tics:  MFNumberOfCharts\n",MFCalledMFNumberOfCharts,MFTimeMFNumberOfCharts);
  if(MFCalledMFAtlasChartRadius>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasChartRadius\n",MFCalledMFAtlasChartRadius,MFTimeMFAtlasChartRadius);
  if(MFCalledMFAtlasCenterOfChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasCenterOfChart\n",MFCalledMFAtlasCenterOfChart,MFTimeMFAtlasCenterOfChart);
  if(MFCalledMFAtlasIsPointInChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasIsPointInChart\n",MFCalledMFAtlasIsPointInChart,MFTimeMFAtlasIsPointInChart);
  if(MFCalledMFAtlasEvaluateChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasEvaluateChart\n",MFCalledMFAtlasEvaluateChart,MFTimeMFAtlasEvaluateChart);
  if(MFCalledMFAtlasNumberOfChartsWithBoundary>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasNumberOfChartsWithBoundary\n",MFCalledMFAtlasNumberOfChartsWithBoundary,MFTimeMFAtlasNumberOfChartsWithBoundary);
  if(MFCalledMFAtlasChartWithBoundary>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasChartWithBoundary\n",MFCalledMFAtlasChartWithBoundary,MFTimeMFAtlasChartWithBoundary);
  if(MFCalledMFAtlasAddChartWithApproxTS>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasAddChartWithApproxTS\n",MFCalledMFAtlasAddChartWithApproxTS,MFTimeMFAtlasAddChartWithApproxTS);
  if(MFCalledMFAtlasPointOnBoundaryInsideRegion>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasPointOnBoundaryInsideRegion\n",MFCalledMFAtlasPointOnBoundaryInsideRegion,MFTimeMFAtlasPointOnBoundaryInsideRegion);
  if(MFCalledMFAddHalfSpaceToAtlas>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAddHalfSpaceToAtlas\n",MFCalledMFAddHalfSpaceToAtlas,MFTimeMFAddHalfSpaceToAtlas);
  if(MFCalledMFAtlasChartCenter>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasChartCenter\n",MFCalledMFAtlasChartCenter,MFTimeMFAtlasChartCenter);
  if(MFCalledMFAtlasIsPointInPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasIsPointInPolytope\n",MFCalledMFAtlasIsPointInPolytope,MFTimeMFAtlasIsPointInPolytope);
  if(MFCalledMFAtlasOffset>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasOffset\n",MFCalledMFAtlasOffset,MFTimeMFAtlasOffset);
  if(MFCalledMFAtlasGlobalIndex>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasGlobalIndex\n",MFCalledMFAtlasGlobalIndex,MFTimeMFAtlasGlobalIndex);
  if(MFCalledMFAtlasIsHalfSpaceHyperCube>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasIsHalfSpaceHyperCube\n",MFCalledMFAtlasIsHalfSpaceHyperCube,MFTimeMFAtlasIsHalfSpaceHyperCube);
  if(MFCalledMFAtlasLeftPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasLeftPolytope\n",MFCalledMFAtlasLeftPolytope,MFTimeMFAtlasLeftPolytope);
  if(MFCalledMFAtlasRightPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasRightPolytope\n",MFCalledMFAtlasRightPolytope,MFTimeMFAtlasRightPolytope);
  if(MFCalledMFAtlasM>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasM\n",MFCalledMFAtlasM,MFTimeMFAtlasM);
  if(MFCalledMFAtlasIsHalfSpaceInBothPolytopes>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasIsHalfSpaceInBothPolytopes\n",MFCalledMFAtlasIsHalfSpaceInBothPolytopes,MFTimeMFAtlasIsHalfSpaceInBothPolytopes);
  if(MFCalledMFAtlasAddChartToBoundaryList>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasAddChartToBoundaryList\n",MFCalledMFAtlasAddChartToBoundaryList,MFTimeMFAtlasAddChartToBoundaryList);
  if(MFCalledMFAtlasRemoveChartFromBoundaryList>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasRemoveChartFromBoundaryList\n",MFCalledMFAtlasRemoveChartFromBoundaryList,MFTimeMFAtlasRemoveChartFromBoundaryList);
  if(MFCalledMFAddInitialHyperplanes>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAddInitialHyperplanes\n",MFCalledMFAddInitialHyperplanes,MFTimeMFAddInitialHyperplanes);
  if(MFCalledMFAtlasAddChartToList>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasAddChartToList\n",MFCalledMFAtlasAddChartToList,MFTimeMFAtlasAddChartToList);
  if(MFCalledMFAtlasChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasChart\n",MFCalledMFAtlasChart,MFTimeMFAtlasChart);
  if(MFCalledMFAtlasNumberOfHalfSpaces>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasNumberOfHalfSpaces\n",MFCalledMFAtlasNumberOfHalfSpaces,MFTimeMFAtlasNumberOfHalfSpaces);
  if(MFCalledMFAtlasHalfSpaceIndex>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasHalfSpaceIndex\n",MFCalledMFAtlasHalfSpaceIndex,MFTimeMFAtlasHalfSpaceIndex);
  if(MFCalledMFAtlasHalfSpaceLeftChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasHalfSpaceLeftChart\n",MFCalledMFAtlasHalfSpaceLeftChart,MFTimeMFAtlasHalfSpaceLeftChart);
  if(MFCalledMFAtlasHalfSpaceRightChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasHalfSpaceRightChart\n",MFCalledMFAtlasHalfSpaceRightChart,MFTimeMFAtlasHalfSpaceRightChart);
  if(MFCalledMFAtlasHalfSpaceNormal>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasHalfSpaceNormal\n",MFCalledMFAtlasHalfSpaceNormal,MFTimeMFAtlasHalfSpaceNormal);
  if(MFCalledMFAtlasHalfSpaceOrigin>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasHalfSpaceOrigin\n",MFCalledMFAtlasHalfSpaceOrigin,MFTimeMFAtlasHalfSpaceOrigin);
  if(MFCalledMFAtlasChartTangentSpace>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasChartTangentSpace\n",MFCalledMFAtlasChartTangentSpace,MFTimeMFAtlasChartTangentSpace);
  if(MFCalledMFReadAtlas>0)
    fprintf(fid,"      %8dx, %8d tics:  MFReadAtlas\n",MFCalledMFReadAtlas,MFTimeMFReadAtlas);
  if(MFCalledMFWriteAtlas>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWriteAtlas\n",MFCalledMFWriteAtlas,MFTimeMFWriteAtlas);
  if(MFCalledMFAtlasMF>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasMF\n",MFCalledMFAtlasMF,MFTimeMFAtlasMF);
  if(MFCalledMFTestAtlas>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTestAtlas\n",MFCalledMFTestAtlas,MFTimeMFTestAtlas);
  if(MFCalledMFAtlasReduceChartRadius>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAtlasReduceChartRadius\n",MFCalledMFAtlasReduceChartRadius,MFTimeMFAtlasReduceChartRadius);
  if(MFCalledMFCreateBinaryTree>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateBinaryTree\n",MFCalledMFCreateBinaryTree,MFTimeMFCreateBinaryTree);
  if(MFCalledMFCreateBinaryTreeLeaf>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateBinaryTreeLeaf\n",MFCalledMFCreateBinaryTreeLeaf,MFTimeMFCreateBinaryTreeLeaf);
  if(MFCalledMFFreeBinaryTree>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeBinaryTree\n",MFCalledMFFreeBinaryTree,MFTimeMFFreeBinaryTree);
  if(MFCalledMFFreeBinaryTreeLeaf>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeBinaryTreeLeaf\n",MFCalledMFFreeBinaryTreeLeaf,MFTimeMFFreeBinaryTreeLeaf);
  if(MFCalledMFBinaryTreeAddChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFBinaryTreeAddChart\n",MFCalledMFBinaryTreeAddChart,MFTimeMFBinaryTreeAddChart);
  if(MFCalledMFBinaryTreeLeafAddChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFBinaryTreeLeafAddChart\n",MFCalledMFBinaryTreeLeafAddChart,MFTimeMFBinaryTreeLeafAddChart);
  if(MFCalledMFBinaryTreeGetIntersectingCharts>0)
    fprintf(fid,"      %8dx, %8d tics:  MFBinaryTreeGetIntersectingCharts\n",MFCalledMFBinaryTreeGetIntersectingCharts,MFTimeMFBinaryTreeGetIntersectingCharts);
  if(MFCalledMFCreateListOfIntersectingCharts>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateListOfIntersectingCharts\n",MFCalledMFCreateListOfIntersectingCharts,MFTimeMFCreateListOfIntersectingCharts);
  if(MFCalledMFWriteBinaryTree>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWriteBinaryTree\n",MFCalledMFWriteBinaryTree,MFTimeMFWriteBinaryTree);
  if(MFCalledMFReadBinaryTree>0)
    fprintf(fid,"      %8dx, %8d tics:  MFReadBinaryTree\n",MFCalledMFReadBinaryTree,MFTimeMFReadBinaryTree);
  if(MFCalledMFFreeCSTRData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeCSTRData\n",MFCalledMFFreeCSTRData,MFTimeMFFreeCSTRData);
  if(MFCalledMFScaleCSTR>0)
    fprintf(fid,"      %8dx, %8d tics:  MFScaleCSTR\n",MFCalledMFScaleCSTR,MFTimeMFScaleCSTR);
  if(MFCalledMFProjectCSTR>0)
    fprintf(fid,"      %8dx, %8d tics:  MFProjectCSTR\n",MFCalledMFProjectCSTR,MFTimeMFProjectCSTR);
  if(MFCalledMFTangentCSTR>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTangentCSTR\n",MFCalledMFTangentCSTR,MFTimeMFTangentCSTR);
  if(MFCalledMFTangentCSTRWithGuess>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTangentCSTRWithGuess\n",MFCalledMFTangentCSTRWithGuess,MFTimeMFTangentCSTRWithGuess);
  if(MFCalledCSTR>0)
    fprintf(fid,"      %8dx, %8d tics:  CSTR\n",MFCalledCSTR,MFTimeCSTR);
  if(MFCalleddCSTR>0)
    fprintf(fid,"      %8dx, %8d tics:  dCSTR\n",MFCalleddCSTR,MFTimedCSTR);
  if(MFCalledddCSTR>0)
    fprintf(fid,"      %8dx, %8d tics:  ddCSTR\n",MFCalledddCSTR,MFTimeddCSTR);
  if(MFCalledMFCurvatureCSTR>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCurvatureCSTR\n",MFCalledMFCurvatureCSTR,MFTimeMFCurvatureCSTR);
  if(MFCalledMFReadCSTR>0)
    fprintf(fid,"      %8dx, %8d tics:  MFReadCSTR\n",MFCalledMFReadCSTR,MFTimeMFReadCSTR);
  if(MFCalledMFWriteCSTRData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWriteCSTRData\n",MFCalledMFWriteCSTRData,MFTimeMFWriteCSTRData);
  if(MFCalledMFIMFCreateCSTR>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFCreateCSTR\n",MFCalledMFIMFCreateCSTR,MFTimeMFIMFCreateCSTR);
  if(MFCalledMFCreateChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateChart\n",MFCalledMFCreateChart,MFTimeMFCreateChart);
  if(MFCalledMFSubtractHalfSpaceFromChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFSubtractHalfSpaceFromChart\n",MFCalledMFSubtractHalfSpaceFromChart,MFTimeMFSubtractHalfSpaceFromChart);
  if(MFCalledMFRefChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFRefChart\n",MFCalledMFRefChart,MFTimeMFRefChart);
  if(MFCalledMFFreeChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeChart\n",MFCalledMFFreeChart,MFTimeMFFreeChart);
  if(MFCalledMFChartPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartPolytope\n",MFCalledMFChartPolytope,MFTimeMFChartPolytope);
  if(MFCalledMFSetChartPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFSetChartPolytope\n",MFCalledMFSetChartPolytope,MFTimeMFSetChartPolytope);
  if(MFCalledMFSetChartRadius>0)
    fprintf(fid,"      %8dx, %8d tics:  MFSetChartRadius\n",MFCalledMFSetChartRadius,MFTimeMFSetChartRadius);
  if(MFCalledMFChartCenter>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartCenter\n",MFCalledMFChartCenter,MFTimeMFChartCenter);
  if(MFCalledMFChartTangentSpace>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartTangentSpace\n",MFCalledMFChartTangentSpace,MFTimeMFChartTangentSpace);
  if(MFCalledMFChartRadius>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartRadius\n",MFCalledMFChartRadius,MFTimeMFChartRadius);
  if(MFCalledMFChartEvaluate>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartEvaluate\n",MFCalledMFChartEvaluate,MFTimeMFChartEvaluate);
  if(MFCalledMFChartInterior>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartInterior\n",MFCalledMFChartInterior,MFTimeMFChartInterior);
  if(MFCalledMFChartProjectIntoTangentSpace>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartProjectIntoTangentSpace\n",MFCalledMFChartProjectIntoTangentSpace,MFTimeMFChartProjectIntoTangentSpace);
  if(MFCalledMFChartProjectVectorIntoTangentSpace>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartProjectVectorIntoTangentSpace\n",MFCalledMFChartProjectVectorIntoTangentSpace,MFTimeMFChartProjectVectorIntoTangentSpace);
  if(MFCalledMFChartPointInTangentSpace>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartPointInTangentSpace\n",MFCalledMFChartPointInTangentSpace,MFTimeMFChartPointInTangentSpace);
  if(MFCalledMFChartHasBoundary>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartHasBoundary\n",MFCalledMFChartHasBoundary,MFTimeMFChartHasBoundary);
  if(MFCalledMFChartK>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartK\n",MFCalledMFChartK,MFTimeMFChartK);
  if(MFCalledMFChartN>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartN\n",MFCalledMFChartN,MFTimeMFChartN);
  if(MFCalledMFWriteChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWriteChart\n",MFCalledMFWriteChart,MFTimeMFWriteChart);
  if(MFCalledMFReadChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFReadChart\n",MFCalledMFReadChart,MFTimeMFReadChart);
  if(MFCalledMFChartTotallyInterior>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartTotallyInterior\n",MFCalledMFChartTotallyInterior,MFTimeMFChartTotallyInterior);
  if(MFCalledMFIMFCreateCircle>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFCreateCircle\n",MFCalledMFIMFCreateCircle,MFTimeMFIMFCreateCircle);
  if(MFCalledMFFreeCircleData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeCircleData\n",MFCalledMFFreeCircleData,MFTimeMFFreeCircleData);
  if(MFCalledMFProjectCircle>0)
    fprintf(fid,"      %8dx, %8d tics:  MFProjectCircle\n",MFCalledMFProjectCircle,MFTimeMFProjectCircle);
  if(MFCalledMFTangentCircle>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTangentCircle\n",MFCalledMFTangentCircle,MFTimeMFTangentCircle);
  if(MFCalledMFScaleCircle>0)
    fprintf(fid,"      %8dx, %8d tics:  MFScaleCircle\n",MFCalledMFScaleCircle,MFTimeMFScaleCircle);
  if(MFCalledMFWriteCircleData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWriteCircleData\n",MFCalledMFWriteCircleData,MFTimeMFWriteCircleData);
  if(MFCalledMFReadCircle>0)
    fprintf(fid,"      %8dx, %8d tics:  MFReadCircle\n",MFCalledMFReadCircle,MFTimeMFReadCircle);
  if(MFCalledMFPolytopeToDXFile>0)
    fprintf(fid,"      %8dx, %8d tics:  MFPolytopeToDXFile\n",MFCalledMFPolytopeToDXFile,MFTimeMFPolytopeToDXFile);
  if(MFCalledMFDrawInitialize>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawInitialize\n",MFCalledMFDrawInitialize,MFTimeMFDrawInitialize);
  if(MFCalledMFDrawInitializeCube>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawInitializeCube\n",MFCalledMFDrawInitializeCube,MFTimeMFDrawInitializeCube);
  if(MFCalledMFDrawClose>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawClose\n",MFCalledMFDrawClose,MFTimeMFDrawClose);
  if(MFCalledMFDrawClear>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawClear\n",MFCalledMFDrawClear,MFTimeMFDrawClear);
  if(MFCalledMFDrawDisplay>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawDisplay\n",MFCalledMFDrawDisplay,MFTimeMFDrawDisplay);
  if(MFCalledMFDrawInterval>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawInterval\n",MFCalledMFDrawInterval,MFTimeMFDrawInterval);
  if(MFCalledMFDrawPolygon>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawPolygon\n",MFCalledMFDrawPolygon,MFTimeMFDrawPolygon);
  if(MFCalledMFDrawPolyhedron>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawPolyhedron\n",MFCalledMFDrawPolyhedron,MFTimeMFDrawPolyhedron);
  if(MFCalledMFDrawPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawPolytope\n",MFCalledMFDrawPolytope,MFTimeMFDrawPolytope);
  if(MFCalledMFDrawPolytopeTS>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawPolytopeTS\n",MFCalledMFDrawPolytopeTS,MFTimeMFDrawPolytopeTS);
  if(MFCalledMFDraw1dChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDraw1dChart\n",MFCalledMFDraw1dChart,MFTimeMFDraw1dChart);
  if(MFCalledMFDraw2dChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDraw2dChart\n",MFCalledMFDraw2dChart,MFTimeMFDraw2dChart);
  if(MFCalledMFDraw3dChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDraw3dChart\n",MFCalledMFDraw3dChart,MFTimeMFDraw3dChart);
  if(MFCalledMFDraw1dChartBoundary>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDraw1dChartBoundary\n",MFCalledMFDraw1dChartBoundary,MFTimeMFDraw1dChartBoundary);
  if(MFCalledMFDraw2dChartBoundary>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDraw2dChartBoundary\n",MFCalledMFDraw2dChartBoundary,MFTimeMFDraw2dChartBoundary);
  if(MFCalledMFDraw3dChartBoundary>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDraw3dChartBoundary\n",MFCalledMFDraw3dChartBoundary,MFTimeMFDraw3dChartBoundary);
  if(MFCalledMFTest3dChartBoundary>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTest3dChartBoundary\n",MFCalledMFTest3dChartBoundary,MFTimeMFTest3dChartBoundary);
  if(MFCalledMFDrawChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawChart\n",MFCalledMFDrawChart,MFTimeMFDrawChart);
  if(MFCalledMFDrawChartBoundary>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawChartBoundary\n",MFCalledMFDrawChartBoundary,MFTimeMFDrawChartBoundary);
  if(MFCalledMFDrawAtlas>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawAtlas\n",MFCalledMFDrawAtlas,MFTimeMFDrawAtlas);
  if(MFCalledMFDrawAtlasOnce>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawAtlasOnce\n",MFCalledMFDrawAtlasOnce,MFTimeMFDrawAtlasOnce);
  if(MFCalledMFDrawMakeListOfTriangles>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawMakeListOfTriangles\n",MFCalledMFDrawMakeListOfTriangles,MFTimeMFDrawMakeListOfTriangles);
  if(MFCalledMFDrawProjectTo3d>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawProjectTo3d\n",MFCalledMFDrawProjectTo3d,MFTimeMFDrawProjectTo3d);
  if(MFCalledMFDrawEnumPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawEnumPolytope\n",MFCalledMFDrawEnumPolytope,MFTimeMFDrawEnumPolytope);
  if(MFCalledMFDrawMarkPoint>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawMarkPoint\n",MFCalledMFDrawMarkPoint,MFTimeMFDrawMarkPoint);
  if(MFCalledMFDrawMarkPointOnChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawMarkPointOnChart\n",MFCalledMFDrawMarkPointOnChart,MFTimeMFDrawMarkPointOnChart);
  if(MFCalledMFDrawLineOnChart>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawLineOnChart\n",MFCalledMFDrawLineOnChart,MFTimeMFDrawLineOnChart);
  if(MFCalledMFDrawEnumDualPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawEnumDualPolytope\n",MFCalledMFDrawEnumDualPolytope,MFTimeMFDrawEnumDualPolytope);
  if(MFCalledMFDrawLine>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawLine\n",MFCalledMFDrawLine,MFTimeMFDrawLine);
  if(MFCalledMFDrawChartTS>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawChartTS\n",MFCalledMFDrawChartTS,MFTimeMFDrawChartTS);
  if(MFCalledMFDrawAtlasTS>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawAtlasTS\n",MFCalledMFDrawAtlasTS,MFTimeMFDrawAtlasTS);
  if(MFCalledMFDraw1dChartTS>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDraw1dChartTS\n",MFCalledMFDraw1dChartTS,MFTimeMFDraw1dChartTS);
  if(MFCalledMFDraw2dChartTS>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDraw2dChartTS\n",MFCalledMFDraw2dChartTS,MFTimeMFDraw2dChartTS);
  if(MFCalledMFDrawEnumPolytopeTS>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawEnumPolytopeTS\n",MFCalledMFDrawEnumPolytopeTS,MFTimeMFDrawEnumPolytopeTS);
  if(MFCalledMFDrawLineOnChartTS>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawLineOnChartTS\n",MFCalledMFDrawLineOnChartTS,MFTimeMFDrawLineOnChartTS);
  if(MFCalledMFCreateChartState>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateChartState\n",MFCalledMFCreateChartState,MFTimeMFCreateChartState);
  if(MFCalledMFAddChartState>0)
    fprintf(fid,"      %8dx, %8d tics:  MFAddChartState\n",MFCalledMFAddChartState,MFTimeMFAddChartState);
  if(MFCalledMFNChartStates>0)
    fprintf(fid,"      %8dx, %8d tics:  MFNChartStates\n",MFCalledMFNChartStates,MFTimeMFNChartStates);
  if(MFCalledMFClearChartState>0)
    fprintf(fid,"      %8dx, %8d tics:  MFClearChartState\n",MFCalledMFClearChartState,MFTimeMFClearChartState);
  if(MFCalledMFFreeChartState>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeChartState\n",MFCalledMFFreeChartState,MFTimeMFFreeChartState);
  if(MFCalledMFSetChartStateColor>0)
    fprintf(fid,"      %8dx, %8d tics:  MFSetChartStateColor\n",MFCalledMFSetChartStateColor,MFTimeMFSetChartStateColor);
  if(MFCalledMFChartStateAddPolygon>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartStateAddPolygon\n",MFCalledMFChartStateAddPolygon,MFTimeMFChartStateAddPolygon);
  if(MFCalledMFChartStateAddPolygonWithNormal>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartStateAddPolygonWithNormal\n",MFCalledMFChartStateAddPolygonWithNormal,MFTimeMFChartStateAddPolygonWithNormal);
  if(MFCalledMFChartStateAddLine>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartStateAddLine\n",MFCalledMFChartStateAddLine,MFTimeMFChartStateAddLine);
  if(MFCalledMFGetChartState>0)
    fprintf(fid,"      %8dx, %8d tics:  MFGetChartState\n",MFCalledMFGetChartState,MFTimeMFGetChartState);
  if(MFCalledMFChartStateChanged>0)
    fprintf(fid,"      %8dx, %8d tics:  MFChartStateChanged\n",MFCalledMFChartStateChanged,MFTimeMFChartStateChanged);
  if(MFCalledMFDrawChartFromState>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawChartFromState\n",MFCalledMFDrawChartFromState,MFTimeMFDrawChartFromState);
  if(MFCalledMFFreeDrawCharts>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeDrawCharts\n",MFCalledMFFreeDrawCharts,MFTimeMFFreeDrawCharts);
  if(MFCalledMFDrawClippedSphere>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDrawClippedSphere\n",MFCalledMFDrawClippedSphere,MFTimeMFDrawClippedSphere);
  if(MFCalledMFEnumerateDual>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumerateDual\n",MFCalledMFEnumerateDual,MFTimeMFEnumerateDual);
  if(MFCalledMFDualIntersectIndices>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDualIntersectIndices\n",MFCalledMFDualIntersectIndices,MFTimeMFDualIntersectIndices);
  if(MFCalledMFCreateDualZeroCellV>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateDualZeroCellV\n",MFCalledMFCreateDualZeroCellV,MFTimeMFCreateDualZeroCellV);
  if(MFCalledMFCreateDualZeroCell>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateDualZeroCell\n",MFCalledMFCreateDualZeroCell,MFTimeMFCreateDualZeroCell);
  if(MFCalledMFCreateEmptyNComplex>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateEmptyNComplex\n",MFCalledMFCreateEmptyNComplex,MFTimeMFCreateEmptyNComplex);
  if(MFCalledMFDualIndicesEqual>0)
    fprintf(fid,"      %8dx, %8d tics:  MFDualIndicesEqual\n",MFCalledMFDualIndicesEqual,MFTimeMFDualIndicesEqual);
  if(MFCalledMFFreeEnumDualPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeEnumDualPolytope\n",MFCalledMFFreeEnumDualPolytope,MFTimeMFFreeEnumDualPolytope);
  if(MFCalledMFFreeDualCell>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeDualCell\n",MFCalledMFFreeDualCell,MFTimeMFFreeDualCell);
  if(MFCalledMFEnumDualPolytopeNumberOfVertices>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeNumberOfVertices\n",MFCalledMFEnumDualPolytopeNumberOfVertices,MFTimeMFEnumDualPolytopeNumberOfVertices);
  if(MFCalledMFEnumDualPolytopeNumberOfCells>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeNumberOfCells\n",MFCalledMFEnumDualPolytopeNumberOfCells,MFTimeMFEnumDualPolytopeNumberOfCells);
  if(MFCalledMFEnumDualPolytopeNumberOfCellFaces>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeNumberOfCellFaces\n",MFCalledMFEnumDualPolytopeNumberOfCellFaces,MFTimeMFEnumDualPolytopeNumberOfCellFaces);
  if(MFCalledMFEnumDualPolytopeCellFace>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeCellFace\n",MFCalledMFEnumDualPolytopeCellFace,MFTimeMFEnumDualPolytopeCellFace);
  if(MFCalledMFEnumDualPolytopeNumberOfFaceCells>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeNumberOfFaceCells\n",MFCalledMFEnumDualPolytopeNumberOfFaceCells,MFTimeMFEnumDualPolytopeNumberOfFaceCells);
  if(MFCalledMFEnumDualPolytopeNumberOfCellIndices>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeNumberOfCellIndices\n",MFCalledMFEnumDualPolytopeNumberOfCellIndices,MFTimeMFEnumDualPolytopeNumberOfCellIndices);
  if(MFCalledMFEnumDualPolytopeCellIndex>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeCellIndex\n",MFCalledMFEnumDualPolytopeCellIndex,MFTimeMFEnumDualPolytopeCellIndex);
  if(MFCalledMFEnumDualPolytopeFaceCell>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeFaceCell\n",MFCalledMFEnumDualPolytopeFaceCell,MFTimeMFEnumDualPolytopeFaceCell);
  if(MFCalledEPSortDualPolytopeIndices>0)
    fprintf(fid,"      %8dx, %8d tics:  EPSortDualPolytopeIndices\n",MFCalledEPSortDualPolytopeIndices,MFTimeEPSortDualPolytopeIndices);
  if(MFCalledEPDualCollapseIndices>0)
    fprintf(fid,"      %8dx, %8d tics:  EPDualCollapseIndices\n",MFCalledEPDualCollapseIndices,MFTimeEPDualCollapseIndices);
  if(MFCalledMFCreateDualZeroCellWithEdgeList>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateDualZeroCellWithEdgeList\n",MFCalledMFCreateDualZeroCellWithEdgeList,MFTimeMFCreateDualZeroCellWithEdgeList);
  if(MFCalledMFEnumDualPolytopeDimension>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeDimension\n",MFCalledMFEnumDualPolytopeDimension,MFTimeMFEnumDualPolytopeDimension);
  if(MFCalledMFTestEnumPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTestEnumPolytope\n",MFCalledMFTestEnumPolytope,MFTimeMFTestEnumPolytope);
  if(MFCalledMFEnumDualPolytopeVerticesOnDualCell>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeVerticesOnDualCell\n",MFCalledMFEnumDualPolytopeVerticesOnDualCell,MFTimeMFEnumDualPolytopeVerticesOnDualCell);
  if(MFCalledMFEnumDualOfAtlas>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualOfAtlas\n",MFCalledMFEnumDualOfAtlas,MFTimeMFEnumDualOfAtlas);
  if(MFCalledMFEnumDualPolytopeVertex>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumDualPolytopeVertex\n",MFCalledMFEnumDualPolytopeVertex,MFTimeMFEnumDualPolytopeVertex);
  if(MFCalledMFTestEnumDualPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTestEnumDualPolytope\n",MFCalledMFTestEnumDualPolytope,MFTimeMFTestEnumDualPolytope);
  if(MFCalledMFCreateDualOfEnumPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateDualOfEnumPolytope\n",MFCalledMFCreateDualOfEnumPolytope,MFTimeMFCreateDualOfEnumPolytope);
  if(MFCalledMFEnumeratePolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumeratePolytope\n",MFCalledMFEnumeratePolytope,MFTimeMFEnumeratePolytope);
  if(MFCalledMFEnumerate>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumerate\n",MFCalledMFEnumerate,MFTimeMFEnumerate);
  if(MFCalledMFIntersectIndices>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIntersectIndices\n",MFCalledMFIntersectIndices,MFTimeMFIntersectIndices);
  if(MFCalledMFCreateZeroCellV>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateZeroCellV\n",MFCalledMFCreateZeroCellV,MFTimeMFCreateZeroCellV);
  if(MFCalledMFCreateZeroCell>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateZeroCell\n",MFCalledMFCreateZeroCell,MFTimeMFCreateZeroCell);
  if(MFCalledMFCreateEmptyKComplex>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateEmptyKComplex\n",MFCalledMFCreateEmptyKComplex,MFTimeMFCreateEmptyKComplex);
  if(MFCalledMFIndicesEqual>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIndicesEqual\n",MFCalledMFIndicesEqual,MFTimeMFIndicesEqual);
  if(MFCalledMFFreeEnumPolytope>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeEnumPolytope\n",MFCalledMFFreeEnumPolytope,MFTimeMFFreeEnumPolytope);
  if(MFCalledMFFreeCell>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeCell\n",MFCalledMFFreeCell,MFTimeMFFreeCell);
  if(MFCalledMFEnumPolytopeNumberOfVertices>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeNumberOfVertices\n",MFCalledMFEnumPolytopeNumberOfVertices,MFTimeMFEnumPolytopeNumberOfVertices);
  if(MFCalledMFEnumPolytopeNumberOfCells>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeNumberOfCells\n",MFCalledMFEnumPolytopeNumberOfCells,MFTimeMFEnumPolytopeNumberOfCells);
  if(MFCalledMFEnumPolytopeNumberOfCellFaces>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeNumberOfCellFaces\n",MFCalledMFEnumPolytopeNumberOfCellFaces,MFTimeMFEnumPolytopeNumberOfCellFaces);
  if(MFCalledMFEnumPolytopeCellFace>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeCellFace\n",MFCalledMFEnumPolytopeCellFace,MFTimeMFEnumPolytopeCellFace);
  if(MFCalledMFEnumPolytopeNumberOfFaceCells>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeNumberOfFaceCells\n",MFCalledMFEnumPolytopeNumberOfFaceCells,MFTimeMFEnumPolytopeNumberOfFaceCells);
  if(MFCalledMFEnumPolytopeNumberOfCellIndices>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeNumberOfCellIndices\n",MFCalledMFEnumPolytopeNumberOfCellIndices,MFTimeMFEnumPolytopeNumberOfCellIndices);
  if(MFCalledMFEnumPolytopeCellIndex>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeCellIndex\n",MFCalledMFEnumPolytopeCellIndex,MFTimeMFEnumPolytopeCellIndex);
  if(MFCalledMFEnumPolytopeFaceCell>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeFaceCell\n",MFCalledMFEnumPolytopeFaceCell,MFTimeMFEnumPolytopeFaceCell);
  if(MFCalledEPSortPolytopeIndices>0)
    fprintf(fid,"      %8dx, %8d tics:  EPSortPolytopeIndices\n",MFCalledEPSortPolytopeIndices,MFTimeEPSortPolytopeIndices);
  if(MFCalledEPCollapseIndices>0)
    fprintf(fid,"      %8dx, %8d tics:  EPCollapseIndices\n",MFCalledEPCollapseIndices,MFTimeEPCollapseIndices);
  if(MFCalledMFCreateZeroCellWithEdgeList>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateZeroCellWithEdgeList\n",MFCalledMFCreateZeroCellWithEdgeList,MFTimeMFCreateZeroCellWithEdgeList);
  if(MFCalledMFEnumPolytopeDimension>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeDimension\n",MFCalledMFEnumPolytopeDimension,MFTimeMFEnumPolytopeDimension);
  if(MFCalledMFEnumPolytopeIsCellExterior>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeIsCellExterior\n",MFCalledMFEnumPolytopeIsCellExterior,MFTimeMFEnumPolytopeIsCellExterior);
  if(MFCalledMFEnumPolytopeVerticesOnCell>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeVerticesOnCell\n",MFCalledMFEnumPolytopeVerticesOnCell,MFTimeMFEnumPolytopeVerticesOnCell);
  if(MFCalledMFEnumerateAtlas>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumerateAtlas\n",MFCalledMFEnumerateAtlas,MFTimeMFEnumerateAtlas);
  if(MFCalledMFEnumPolytopeVertex>0)
    fprintf(fid,"      %8dx, %8d tics:  MFEnumPolytopeVertex\n",MFCalledMFEnumPolytopeVertex,MFTimeMFEnumPolytopeVertex);
  if(MFCalledMFIMFCreateExpression>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFCreateExpression\n",MFCalledMFIMFCreateExpression,MFTimeMFIMFCreateExpression);
  if(MFCalledMFFreeExpressionData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeExpressionData\n",MFCalledMFFreeExpressionData,MFTimeMFFreeExpressionData);
  if(MFCalledMFWriteExpressionData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWriteExpressionData\n",MFCalledMFWriteExpressionData,MFTimeMFWriteExpressionData);
  if(MFCalledMFReadExpression>0)
    fprintf(fid,"      %8dx, %8d tics:  MFReadExpression\n",MFCalledMFReadExpression,MFTimeMFReadExpression);
  if(MFCalledMFProjectExpression>0)
    fprintf(fid,"      %8dx, %8d tics:  MFProjectExpression\n",MFCalledMFProjectExpression,MFTimeMFProjectExpression);
  if(MFCalledMFTangentExpression>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTangentExpression\n",MFCalledMFTangentExpression,MFTimeMFTangentExpression);
  if(MFCalledMFScaleExpression>0)
    fprintf(fid,"      %8dx, %8d tics:  MFScaleExpression\n",MFCalledMFScaleExpression,MFTimeMFScaleExpression);
  if(MFCalledMFIMFCreateFlat>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFCreateFlat\n",MFCalledMFIMFCreateFlat,MFTimeMFIMFCreateFlat);
  if(MFCalledMFFreeFlatData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeFlatData\n",MFCalledMFFreeFlatData,MFTimeMFFreeFlatData);
  if(MFCalledMFProjectFlat>0)
    fprintf(fid,"      %8dx, %8d tics:  MFProjectFlat\n",MFCalledMFProjectFlat,MFTimeMFProjectFlat);
  if(MFCalledMFTangentFlat>0)
    fprintf(fid,"      %8dx, %8d tics:  MFTangentFlat\n",MFCalledMFTangentFlat,MFTimeMFTangentFlat);
  if(MFCalledMFWriteFlatData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWriteFlatData\n",MFCalledMFWriteFlatData,MFTimeMFWriteFlatData);
  if(MFCalledMFReadFlat>0)
    fprintf(fid,"      %8dx, %8d tics:  MFReadFlat\n",MFCalledMFReadFlat,MFTimeMFReadFlat);
  if(MFCalledMFRefImplicitMF>0)
    fprintf(fid,"      %8dx, %8d tics:  MFRefImplicitMF\n",MFCalledMFRefImplicitMF,MFTimeMFRefImplicitMF);
  if(MFCalledMFImplicitMFId>0)
    fprintf(fid,"      %8dx, %8d tics:  MFImplicitMFId\n",MFCalledMFImplicitMFId,MFTimeMFImplicitMFId);
  if(MFCalledMFFreeImplicitMF>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeImplicitMF\n",MFCalledMFFreeImplicitMF,MFTimeMFFreeImplicitMF);
  if(MFCalledMFIMF_N>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMF_N\n",MFCalledMFIMF_N,MFTimeMFIMF_N);
  if(MFCalledMFIMF_K>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMF_K\n",MFCalledMFIMF_K,MFTimeMFIMF_K);
  if(MFCalledMFIMFNSpace>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFNSpace\n",MFCalledMFIMFNSpace,MFTimeMFIMFNSpace);
  if(MFCalledMFIMFProject>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFProject\n",MFCalledMFIMFProject,MFTimeMFIMFProject);
  if(MFCalledMFIMFTangentSpace>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFTangentSpace\n",MFCalledMFIMFTangentSpace,MFTimeMFIMFTangentSpace);
  if(MFCalledMFIMFTangentSpaceWithGuess>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFTangentSpaceWithGuess\n",MFCalledMFIMFTangentSpaceWithGuess,MFTimeMFIMFTangentSpaceWithGuess);
  if(MFCalledMFIMFScale>0)
    fprintf(fid,"      %8dx, %8d tics:  MFIMFScale\n",MFCalledMFIMFScale,MFTimeMFIMFScale);
  if(MFCalledMFWriteImplicitMF>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWriteImplicitMF\n",MFCalledMFWriteImplicitMF,MFTimeMFWriteImplicitMF);
  if(MFCalledMFReadImplicitMF>0)
    fprintf(fid,"      %8dx, %8d tics:  MFReadImplicitMF\n",MFCalledMFReadImplicitMF,MFTimeMFReadImplicitMF);
  if(MFCalledMFCreateKVector>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateKVector\n",MFCalledMFCreateKVector,MFTimeMFCreateKVector);
  if(MFCalledMFCreateKVectorWithFullData>0)
    fprintf(fid,"      %8dx, %8d tics:  MFCreateKVectorWithFullData\n",MFCalledMFCreateKVectorWithFullData,MFTimeMFCreateKVectorWithFullData);
  if(MFCalledMFFreeKVector>0)
    fprintf(fid,"      %8dx, %8d tics:  MFFreeKVector\n",MFCalledMFFreeKVector,MFTimeMFFreeKVector);
  if(MFCalledMFKV_NC>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKV_NC\n",MFCalledMFKV_NC,MFTimeMFKV_NC);
  if(MFCalledMFKV_C>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKV_C\n",MFCalledMFKV_C,MFTimeMFKV_C);
  if(MFCalledMFKVSetC>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKVSetC\n",MFCalledMFKVSetC,MFTimeMFKVSetC);
  if(MFCalledMFRefKVector>0)
    fprintf(fid,"      %8dx, %8d tics:  MFRefKVector\n",MFCalledMFRefKVector,MFTimeMFRefKVector);
  if(MFCalledMFKVDot>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKVDot\n",MFCalledMFKVDot,MFTimeMFKVDot);
  if(MFCalledMFKVNorm>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKVNorm\n",MFCalledMFKVNorm,MFTimeMFKVNorm);
  if(MFCalledMFKVScale>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKVScale\n",MFCalledMFKVScale,MFTimeMFKVScale);
  if(MFCalledMFKVScaleMul>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKVScaleMul\n",MFCalledMFKVScaleMul,MFTimeMFKVScaleMul);
  if(MFCalledMFKV_CStar>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKV_CStar\n",MFCalledMFKV_CStar,MFTimeMFKV_CStar);
  if(MFCalledMFKVDiff>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKVDiff\n",MFCalledMFKVDiff,MFTimeMFKVDiff);
  if(MFCalledMFKVAdd>0)
    fprintf(fid,"      %8dx, %8d tics:  MFKVAdd\n",MFCalledMFKVAdd,MFTimeMFKVAdd);
  if(MFCalledMFWriteKVector>0)
    fprintf(fid,"      %8dx, %8d tics:  MFWriteKVector\n",MFCalledMFWriteKVector,MFTimeMFWriteKVector);
  if(MFCalledMFReadKVector>0)fprintf(fid,"      %8dx, %8d tics:  MFReadKVector\n",MFCalledMFReadKVector,MFTimeMFReadKVector);
  if(MFCalledMFCreateListOfCharts>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateListOfCharts\n",MFCalledMFCreateListOfCharts,MFTimeMFCreateListOfCharts);
  if(MFCalledMFNumberOfIntersectingCharts>0)fprintf(fid,"      %8dx, %8d tics:  MFNumberOfIntersectingCharts\n",MFCalledMFNumberOfIntersectingCharts,MFTimeMFNumberOfIntersectingCharts);
  if(MFCalledMFIntersectingChart>0)fprintf(fid,"      %8dx, %8d tics:  MFIntersectingChart\n",MFCalledMFIntersectingChart,MFTimeMFIntersectingChart);
  if(MFCalledMFFreeListOfIntersectingCharts>0)fprintf(fid,"      %8dx, %8d tics:  MFFreeListOfIntersectingCharts\n",MFCalledMFFreeListOfIntersectingCharts,MFTimeMFFreeListOfIntersectingCharts);
  if(MFCalledMFFreeNKMatrix>0)fprintf(fid,"      %8dx, %8d tics:  MFFreeNKMatrix\n",MFCalledMFFreeNKMatrix,MFTimeMFFreeNKMatrix);
  if(MFCalledMFRefMatrix>0)fprintf(fid,"      %8dx, %8d tics:  MFRefMatrix\n",MFCalledMFRefMatrix,MFTimeMFRefMatrix);
  if(MFCalledMFCreateNKMatrix>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateNKMatrix\n",MFCalledMFCreateNKMatrix,MFTimeMFCreateNKMatrix);
  if(MFCalledMFCreateNKMatrixWithData>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateNKMatrixWithData\n",MFCalledMFCreateNKMatrixWithData,MFTimeMFCreateNKMatrixWithData);
  if(MFCalledMFNKM_CStar>0)fprintf(fid,"      %8dx, %8d tics:  MFNKM_CStar\n",MFCalledMFNKM_CStar,MFTimeMFNKM_CStar);
  if(MFCalledMFWriteNKMatrix>0)fprintf(fid,"      %8dx, %8d tics:  MFWriteNKMatrix\n",MFCalledMFWriteNKMatrix,MFTimeMFWriteNKMatrix);
  if(MFCalledMFReadNKMatrix>0)fprintf(fid,"      %8dx, %8d tics:  MFReadNKMatrix\n",MFCalledMFReadNKMatrix,MFTimeMFReadNKMatrix);
  if(MFCalledMFRegionInterior>0)fprintf(fid,"      %8dx, %8d tics:  MFRegionInterior\n",MFCalledMFRegionInterior,MFTimeMFRegionInterior);
  if(MFCalledMFFreeNRegion>0)fprintf(fid,"      %8dx, %8d tics:  MFFreeNRegion\n",MFCalledMFFreeNRegion,MFTimeMFFreeNRegion);
  if(MFCalledMFNRegionCreateCube>0)fprintf(fid,"      %8dx, %8d tics:  MFNRegionCreateCube\n",MFCalledMFNRegionCreateCube,MFTimeMFNRegionCreateCube);
  if(MFCalledCubeTest>0)fprintf(fid,"      %8dx, %8d tics:  CubeTest\n",MFCalledCubeTest,MFTimeCubeTest);
  if(MFCalledCubeFree>0)fprintf(fid,"      %8dx, %8d tics:  CubeFree\n",MFCalledCubeFree,MFTimeCubeFree);
  if(MFCalledMFNRegionCreateRectangle>0)fprintf(fid,"      %8dx, %8d tics:  MFNRegionCreateRectangle\n",MFCalledMFNRegionCreateRectangle,MFTimeMFNRegionCreateRectangle);
  if(MFCalledRectangleTest>0)fprintf(fid,"      %8dx, %8d tics:  RectangleTest\n",MFCalledRectangleTest,MFTimeRectangleTest);
  if(MFCalledRectangleFree>0)fprintf(fid,"      %8dx, %8d tics:  RectangleFree\n",MFCalledRectangleFree,MFTimeRectangleFree);
  if(MFCalledMFNRegionCreateHyperCube>0)fprintf(fid,"      %8dx, %8d tics:  MFNRegionCreateHyperCube\n",MFCalledMFNRegionCreateHyperCube,MFTimeMFNRegionCreateHyperCube);
  if(MFCalledHyperCubeTest>0)fprintf(fid,"      %8dx, %8d tics:  HyperCubeTest\n",MFCalledHyperCubeTest,MFTimeHyperCubeTest);
  if(MFCalledHyperCubeFree>0)fprintf(fid,"      %8dx, %8d tics:  HyperCubeFree\n",MFCalledHyperCubeFree,MFTimeHyperCubeFree);
  if(MFCalledMFNRegionCreatePendula>0)fprintf(fid,"      %8dx, %8d tics:  MFNRegionCreatePendula\n",MFCalledMFNRegionCreatePendula,MFTimeMFNRegionCreatePendula);
  if(MFCalledPendulaTest>0)fprintf(fid,"      %8dx, %8d tics:  PendulaTest\n",MFCalledPendulaTest,MFTimePendulaTest);
  if(MFCalledPendulaFree>0)fprintf(fid,"      %8dx, %8d tics:  PendulaFree\n",MFCalledPendulaFree,MFTimePendulaFree);
  if(MFCalledMFNRegionCreatePendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  MFNRegionCreatePendulaFour\n",MFCalledMFNRegionCreatePendulaFour,MFTimeMFNRegionCreatePendulaFour);
  if(MFCalledPendulaFourTest>0)fprintf(fid,"      %8dx, %8d tics:  PendulaFourTest\n",MFCalledPendulaFourTest,MFTimePendulaFourTest);
  if(MFCalledPendulaFourFree>0)fprintf(fid,"      %8dx, %8d tics:  PendulaFourFree\n",MFCalledPendulaFourFree,MFTimePendulaFourFree);
  if(MFCalledMFNRegionCreateDodecahedronMinusIcosahedron>0)fprintf(fid,"      %8dx, %8d tics:  MFNRegionCreateDodecahedronMinusIcosahedron\n",MFCalledMFNRegionCreateDodecahedronMinusIcosahedron,MFTimeMFNRegionCreateDodecahedronMinusIcosahedron);
  if(MFCalledDodIcosTest>0)fprintf(fid,"      %8dx, %8d tics:  DodIcosTest\n",MFCalledDodIcosTest,MFTimeDodIcosTest);
  if(MFCalledDodIcosFree>0)fprintf(fid,"      %8dx, %8d tics:  DodIcosFree\n",MFCalledDodIcosFree,MFTimeDodIcosFree);
  if(MFCalledMFNRegionCreatePolygonal3dRegion>0)fprintf(fid,"      %8dx, %8d tics:  MFNRegionCreatePolygonal3dRegion\n",MFCalledMFNRegionCreatePolygonal3dRegion,MFTimeMFNRegionCreatePolygonal3dRegion);
  if(MFCalledMF3dPolygonTest>0)fprintf(fid,"      %8dx, %8d tics:  MF3dPolygonTest\n",MFCalledMF3dPolygonTest,MFTimeMF3dPolygonTest);
  if(MFCalledMF3dPolygonFree>0)fprintf(fid,"      %8dx, %8d tics:  MF3dPolygonFree\n",MFCalledMF3dPolygonFree,MFTimeMF3dPolygonFree);
  if(MFCalledMFCreateNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateNSpace\n",MFCalledMFCreateNSpace,MFTimeMFCreateNSpace);
  if(MFCalledMFCreateWeightedNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateWeightedNSpace\n",MFCalledMFCreateWeightedNSpace,MFTimeMFCreateWeightedNSpace);
  if(MFCalledMFCreateNSpaceWithExponents>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateNSpaceWithExponents\n",MFCalledMFCreateNSpaceWithExponents,MFTimeMFCreateNSpaceWithExponents);
  if(MFCalledMFCreateWeightedNSpaceWithExponents>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateWeightedNSpaceWithExponents\n",MFCalledMFCreateWeightedNSpaceWithExponents,MFTimeMFCreateWeightedNSpaceWithExponents);
  if(MFCalledMFRefNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFRefNSpace\n",MFCalledMFRefNSpace,MFTimeMFRefNSpace);
  if(MFCalledMFFreeNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFFreeNSpace\n",MFCalledMFFreeNSpace,MFTimeMFFreeNSpace);
  if(MFCalledMFNSpaceDistance>0)fprintf(fid,"      %8dx, %8d tics:  MFNSpaceDistance\n",MFCalledMFNSpaceDistance,MFTimeMFNSpaceDistance);
  if(MFCalledMFNSpaceDirection>0)fprintf(fid,"      %8dx, %8d tics:  MFNSpaceDirection\n",MFCalledMFNSpaceDirection,MFTimeMFNSpaceDirection);
  if(MFCalledMFNSpaceInner>0)fprintf(fid,"      %8dx, %8d tics:  MFNSpaceInner\n",MFCalledMFNSpaceInner,MFTimeMFNSpaceInner);
  if(MFCalledMFWriteNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFWriteNSpace\n",MFCalledMFWriteNSpace,MFTimeMFWriteNSpace);
  if(MFCalledMFReadNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFReadNSpace\n",MFCalledMFReadNSpace,MFTimeMFReadNSpace);
  if(MFCalledMFIMFCreateNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFIMFCreateNSpace\n",MFCalledMFIMFCreateNSpace,MFTimeMFIMFCreateNSpace);
  if(MFCalledMFIMFCreateNSpaceWithData>0)fprintf(fid,"      %8dx, %8d tics:  MFIMFCreateNSpaceWithData\n",MFCalledMFIMFCreateNSpaceWithData,MFTimeMFIMFCreateNSpaceWithData);
  if(MFCalledMFFreeNSpaceData>0)fprintf(fid,"      %8dx, %8d tics:  MFFreeNSpaceData\n",MFCalledMFFreeNSpaceData,MFTimeMFFreeNSpaceData);
  if(MFCalledMFProjectNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFProjectNSpace\n",MFCalledMFProjectNSpace,MFTimeMFProjectNSpace);
  if(MFCalledMFTangentNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFTangentNSpace\n",MFCalledMFTangentNSpace,MFTimeMFTangentNSpace);
  if(MFCalledMFScaleNSpace>0)fprintf(fid,"      %8dx, %8d tics:  MFScaleNSpace\n",MFCalledMFScaleNSpace,MFTimeMFScaleNSpace);
  if(MFCalledMFWriteNSpaceData>0)fprintf(fid,"      %8dx, %8d tics:  MFWriteNSpaceData\n",MFCalledMFWriteNSpaceData,MFTimeMFWriteNSpaceData);
  if(MFCalledMFReadNSpaceMF>0)fprintf(fid,"      %8dx, %8d tics:  MFReadNSpaceMF\n",MFCalledMFReadNSpaceMF,MFTimeMFReadNSpaceMF);
  if(MFCalledMFCreateNVector>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateNVector\n",MFCalledMFCreateNVector,MFTimeMFCreateNVector);
  if(MFCalledMFCreateNVectorWithFullData>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateNVectorWithFullData\n",MFCalledMFCreateNVectorWithFullData,MFTimeMFCreateNVectorWithFullData);
  if(MFCalledMFFreeNVector>0)fprintf(fid,"      %8dx, %8d tics:  MFFreeNVector\n",MFCalledMFFreeNVector,MFTimeMFFreeNVector);
  if(MFCalledMFNV_NC>0)fprintf(fid,"      %8dx, %8d tics:  MFNV_NC\n",MFCalledMFNV_NC,MFTimeMFNV_NC);
  if(MFCalledMFNV_C>0)fprintf(fid,"      %8dx, %8d tics:  MFNV_C\n",MFCalledMFNV_C,MFTimeMFNV_C);
  if(MFCalledMFNVSetC>0)fprintf(fid,"      %8dx, %8d tics:  MFNVSetC\n",MFCalledMFNVSetC,MFTimeMFNVSetC);
  if(MFCalledMFRefNVector>0)fprintf(fid,"      %8dx, %8d tics:  MFRefNVector\n",MFCalledMFRefNVector,MFTimeMFRefNVector);
  if(MFCalledMFNVDiff>0)fprintf(fid,"      %8dx, %8d tics:  MFNVDiff\n",MFCalledMFNVDiff,MFTimeMFNVDiff);
  if(MFCalledMFNVAdd>0)fprintf(fid,"      %8dx, %8d tics:  MFNVAdd\n",MFCalledMFNVAdd,MFTimeMFNVAdd);
  if(MFCalledMFNV_CStar>0)fprintf(fid,"      %8dx, %8d tics:  MFNV_CStar\n",MFCalledMFNV_CStar,MFTimeMFNV_CStar);
  if(MFCalledMFWriteNVector>0)fprintf(fid,"      %8dx, %8d tics:  MFWriteNVector\n",MFCalledMFWriteNVector,MFTimeMFWriteNVector);
  if(MFCalledMFReadNVector>0)fprintf(fid,"      %8dx, %8d tics:  MFReadNVector\n",MFCalledMFReadNVector,MFTimeMFReadNVector);
  if(MFCalledMFIMFCreatePendula>0)fprintf(fid,"      %8dx, %8d tics:  MFIMFCreatePendula\n",MFCalledMFIMFCreatePendula,MFTimeMFIMFCreatePendula);
  if(MFCalledMFFreePendulaData>0)fprintf(fid,"      %8dx, %8d tics:  MFFreePendulaData\n",MFCalledMFFreePendulaData,MFTimeMFFreePendulaData);
  if(MFCalledMFScalePendula>0)fprintf(fid,"      %8dx, %8d tics:  MFScalePendula\n",MFCalledMFScalePendula,MFTimeMFScalePendula);
  if(MFCalledGPendula>0)fprintf(fid,"      %8dx, %8d tics:  GPendula\n",MFCalledGPendula,MFTimeGPendula);
  if(MFCalledMFProjectPendula>0)fprintf(fid,"      %8dx, %8d tics:  MFProjectPendula\n",MFCalledMFProjectPendula,MFTimeMFProjectPendula);
  if(MFCalledMFTangentPendula>0)fprintf(fid,"      %8dx, %8d tics:  MFTangentPendula\n",MFCalledMFTangentPendula,MFTimeMFTangentPendula);
  if(MFCalledMFTangentPendulaWithGuess>0)fprintf(fid,"      %8dx, %8d tics:  MFTangentPendulaWithGuess\n",MFCalledMFTangentPendulaWithGuess,MFTimeMFTangentPendulaWithGuess);
  if(MFCalledGuPendula>0)fprintf(fid,"      %8dx, %8d tics:  GuPendula\n",MFCalledGuPendula,MFTimeGuPendula);
  if(MFCalledTGuuPendula>0)fprintf(fid,"      %8dx, %8d tics:  TGuuPendula\n",MFCalledTGuuPendula,MFTimeTGuuPendula);
  if(MFCalledTGuPendula>0)fprintf(fid,"      %8dx, %8d tics:  TGuPendula\n",MFCalledTGuPendula,MFTimeTGuPendula);
  if(MFCalledGuuPendula>0)fprintf(fid,"      %8dx, %8d tics:  GuuPendula\n",MFCalledGuuPendula,MFTimeGuuPendula);
  if(MFCalledMFWritePendulaData>0)fprintf(fid,"      %8dx, %8d tics:  MFWritePendulaData\n",MFCalledMFWritePendulaData,MFTimeMFWritePendulaData);
  if(MFCalledMFReadPendula>0)fprintf(fid,"      %8dx, %8d tics:  MFReadPendula\n",MFCalledMFReadPendula,MFTimeMFReadPendula);
  if(MFCalledMFReadPendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  MFReadPendulaFour\n",MFCalledMFReadPendulaFour,MFTimeMFReadPendulaFour);
  if(MFCalledMFFreePendulaFourData>0)fprintf(fid,"      %8dx, %8d tics:  MFFreePendulaFourData\n",MFCalledMFFreePendulaFourData,MFTimeMFFreePendulaFourData);
  if(MFCalledMFScalePendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  MFScalePendulaFour\n",MFCalledMFScalePendulaFour,MFTimeMFScalePendulaFour);
  if(MFCalledGPendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  GPendulaFour\n",MFCalledGPendulaFour,MFTimeGPendulaFour);
  if(MFCalledMFProjectPendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  MFProjectPendulaFour\n",MFCalledMFProjectPendulaFour,MFTimeMFProjectPendulaFour);
  if(MFCalledMFTangentPendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  MFTangentPendulaFour\n",MFCalledMFTangentPendulaFour,MFTimeMFTangentPendulaFour);
  if(MFCalledMFTangentPendulaFourWithGuess>0)fprintf(fid,"      %8dx, %8d tics:  MFTangentPendulaFourWithGuess\n",MFCalledMFTangentPendulaFourWithGuess,MFTimeMFTangentPendulaFourWithGuess);
  if(MFCalledGuPendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  GuPendulaFour\n",MFCalledGuPendulaFour,MFTimeGuPendulaFour);
  if(MFCalledTGuuPendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  TGuuPendulaFour\n",MFCalledTGuuPendulaFour,MFTimeTGuuPendulaFour);
  if(MFCalledGuuPendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  GuuPendulaFour\n",MFCalledGuuPendulaFour,MFTimeGuuPendulaFour);
  if(MFCalledMFWritePendulaFourData>0)fprintf(fid,"      %8dx, %8d tics:  MFWritePendulaFourData\n",MFCalledMFWritePendulaFourData,MFTimeMFWritePendulaFourData);
  if(MFCalledMFIMFCreatePendulaFour>0)fprintf(fid,"      %8dx, %8d tics:  MFIMFCreatePendulaFour\n",MFCalledMFIMFCreatePendulaFour,MFTimeMFIMFCreatePendulaFour);
  if(MFCalledMFIMFCreatePlane>0)fprintf(fid,"      %8dx, %8d tics:  MFIMFCreatePlane\n",MFCalledMFIMFCreatePlane,MFTimeMFIMFCreatePlane);
  if(MFCalledMFFreePlaneData>0)fprintf(fid,"      %8dx, %8d tics:  MFFreePlaneData\n",MFCalledMFFreePlaneData,MFTimeMFFreePlaneData);
  if(MFCalledMFProjectPlane>0)fprintf(fid,"      %8dx, %8d tics:  MFProjectPlane\n",MFCalledMFProjectPlane,MFTimeMFProjectPlane);
  if(MFCalledMFTangentPlane>0)fprintf(fid,"      %8dx, %8d tics:  MFTangentPlane\n",MFCalledMFTangentPlane,MFTimeMFTangentPlane);
  if(MFCalledMFScalePlane>0)fprintf(fid,"      %8dx, %8d tics:  MFScalePlane\n",MFCalledMFScalePlane,MFTimeMFScalePlane);
  if(MFCalledMFWritePlaneData>0)fprintf(fid,"      %8dx, %8d tics:  MFWritePlaneData\n",MFCalledMFWritePlaneData,MFTimeMFWritePlaneData);
  if(MFCalledMFReadPlane>0)fprintf(fid,"      %8dx, %8d tics:  MFReadPlane\n",MFCalledMFReadPlane,MFTimeMFReadPlane);
  if(MFCalledMFCreateHyperCubeAtOrigin>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateHyperCubeAtOrigin\n",MFCalledMFCreateHyperCubeAtOrigin,MFTimeMFCreateHyperCubeAtOrigin);
  if(MFCalledMFCreateSimplexAtOrigin>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateSimplexAtOrigin\n",MFCalledMFCreateSimplexAtOrigin,MFTimeMFCreateSimplexAtOrigin);
  if(MFCalledMFFreePolytope>0)fprintf(fid,"      %8dx, %8d tics:  MFFreePolytope\n",MFCalledMFFreePolytope,MFTimeMFFreePolytope);
  if(MFCalledMFSubtractHalfSpaceFromPolytope>0)fprintf(fid,"      %8dx, %8d tics:  MFSubtractHalfSpaceFromPolytope\n",MFCalledMFSubtractHalfSpaceFromPolytope,MFTimeMFSubtractHalfSpaceFromPolytope);
  if(MFCalledMFPolytopeDimension>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeDimension\n",MFCalledMFPolytopeDimension,MFTimeMFPolytopeDimension);
  if(MFCalledMFPolytopeNumberOfVertices>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeNumberOfVertices\n",MFCalledMFPolytopeNumberOfVertices,MFTimeMFPolytopeNumberOfVertices);
  if(MFCalledMFPolytopeVertex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeVertex\n",MFCalledMFPolytopeVertex,MFTimeMFPolytopeVertex);
  if(MFCalledMFPolytopeNumberOfVertexIndices>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeNumberOfVertexIndices\n",MFCalledMFPolytopeNumberOfVertexIndices,MFTimeMFPolytopeNumberOfVertexIndices);
  if(MFCalledMFPolytopeVertexIndex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeVertexIndex\n",MFCalledMFPolytopeVertexIndex,MFTimeMFPolytopeVertexIndex);
  if(MFCalledMFPolytopeVertexIndexSet>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeVertexIndexSet\n",MFCalledMFPolytopeVertexIndexSet,MFTimeMFPolytopeVertexIndexSet);
  if(MFCalledMFPolytopeVertexNumberOfIndices>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeVertexNumberOfIndices\n",MFCalledMFPolytopeVertexNumberOfIndices,MFTimeMFPolytopeVertexNumberOfIndices);
  if(MFCalledMFPolytopeAddVertex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeAddVertex\n",MFCalledMFPolytopeAddVertex,MFTimeMFPolytopeAddVertex);
  if(MFCalledMFPolytopeAddVertexIndexIntoSet>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeAddVertexIndexIntoSet\n",MFCalledMFPolytopeAddVertexIndexIntoSet,MFTimeMFPolytopeAddVertexIndexIntoSet);
  if(MFCalledMFPolytopeIntersectIndexSets>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeIntersectIndexSets\n",MFCalledMFPolytopeIntersectIndexSets,MFTimeMFPolytopeIntersectIndexSets);
  if(MFCalledMFPolytopeNumberOfFaces>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeNumberOfFaces\n",MFCalledMFPolytopeNumberOfFaces,MFTimeMFPolytopeNumberOfFaces);
  if(MFCalledMFPolytopeFaceIndex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeFaceIndex\n",MFCalledMFPolytopeFaceIndex,MFTimeMFPolytopeFaceIndex);
  if(MFCalledMFPolytopeFaceNormal>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeFaceNormal\n",MFCalledMFPolytopeFaceNormal,MFTimeMFPolytopeFaceNormal);
  if(MFCalledMFPolytopeFaceOrigin>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeFaceOrigin\n",MFCalledMFPolytopeFaceOrigin,MFTimeMFPolytopeFaceOrigin);
  if(MFCalledMFPolytopeNumberOfVerticesOnFace>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeNumberOfVerticesOnFace\n",MFCalledMFPolytopeNumberOfVerticesOnFace,MFTimeMFPolytopeNumberOfVerticesOnFace);
  if(MFCalledMFPolytopeRadiusOfVertex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeRadiusOfVertex\n",MFCalledMFPolytopeRadiusOfVertex,MFTimeMFPolytopeRadiusOfVertex);
  if(MFCalledMFPolytopeUpdateFaceList>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeUpdateFaceList\n",MFCalledMFPolytopeUpdateFaceList,MFTimeMFPolytopeUpdateFaceList);
  if(MFCalledMFPolytopeVerticesOnSameEdge>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeVerticesOnSameEdge\n",MFCalledMFPolytopeVerticesOnSameEdge,MFTimeMFPolytopeVerticesOnSameEdge);
  if(MFCalledMFPolytopeVerticesOnEdgeWithIndexLessThan>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeVerticesOnEdgeWithIndexLessThan\n",MFCalledMFPolytopeVerticesOnEdgeWithIndexLessThan,MFTimeMFPolytopeVerticesOnEdgeWithIndexLessThan);
  if(MFCalledMFPolytopeVertexLargestIndex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeVertexLargestIndex\n",MFCalledMFPolytopeVertexLargestIndex,MFTimeMFPolytopeVertexLargestIndex);
  if(MFCalledMFPolytopeVertexSmallestIndex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeVertexSmallestIndex\n",MFCalledMFPolytopeVertexSmallestIndex,MFTimeMFPolytopeVertexSmallestIndex);
  if(MFCalledMFPolytopeLargestVertexIndex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeLargestVertexIndex\n",MFCalledMFPolytopeLargestVertexIndex,MFTimeMFPolytopeLargestVertexIndex);
  if(MFCalledMFPolytopeSmallestVertexIndex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeSmallestVertexIndex\n",MFCalledMFPolytopeSmallestVertexIndex,MFTimeMFPolytopeSmallestVertexIndex);
  if(MFCalledMFPolytopeInterior>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeInterior\n",MFCalledMFPolytopeInterior,MFTimeMFPolytopeInterior);
  if(MFCalledMFPolytopeTotallyInterior>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeTotallyInterior\n",MFCalledMFPolytopeTotallyInterior,MFTimeMFPolytopeTotallyInterior);
  if(MFCalledMFPolytopeLargestRadiusOfVertex>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeLargestRadiusOfVertex\n",MFCalledMFPolytopeLargestRadiusOfVertex,MFTimeMFPolytopeLargestRadiusOfVertex);
  if(MFCalledMFWritePolytope>0)fprintf(fid,"      %8dx, %8d tics:  MFWritePolytope\n",MFCalledMFWritePolytope,MFTimeMFWritePolytope);
  if(MFCalledMFReadPolytope>0)fprintf(fid,"      %8dx, %8d tics:  MFReadPolytope\n",MFCalledMFReadPolytope,MFTimeMFReadPolytope);
  if(MFCalledMFTestPolytope>0)fprintf(fid,"      %8dx, %8d tics:  MFTestPolytope\n",MFCalledMFTestPolytope,MFTimeMFTestPolytope);
  if(MFCalledMFPolytopeMergeCloseVertices>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeMergeCloseVertices\n",MFCalledMFPolytopeMergeCloseVertices,MFTimeMFPolytopeMergeCloseVertices);
  if(MFCalledMFPolytopeMergeVertices>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeMergeVertices\n",MFCalledMFPolytopeMergeVertices,MFTimeMFPolytopeMergeVertices);
  if(MFCalledMFPolytopeUnionOfIndexSets>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeUnionOfIndexSets\n",MFCalledMFPolytopeUnionOfIndexSets,MFTimeMFPolytopeUnionOfIndexSets);
  if(MFCalledMFTestVertexIndexOrder>0)fprintf(fid,"      %8dx, %8d tics:  MFTestVertexIndexOrder\n",MFCalledMFTestVertexIndexOrder,MFTimeMFTestVertexIndexOrder);
  if(MFCalledMFPolytopeTestVertexList>0)fprintf(fid,"      %8dx, %8d tics:  MFPolytopeTestVertexList\n",MFCalledMFPolytopeTestVertexList,MFTimeMFPolytopeTestVertexList);
  if(MFCalledMFIMFCreateSphere>0)fprintf(fid,"      %8dx, %8d tics:  MFIMFCreateSphere\n",MFCalledMFIMFCreateSphere,MFTimeMFIMFCreateSphere);
  if(MFCalledMFFreeSphereData>0)fprintf(fid,"      %8dx, %8d tics:  MFFreeSphereData\n",MFCalledMFFreeSphereData,MFTimeMFFreeSphereData);
  if(MFCalledMFProjectSphere>0)fprintf(fid,"      %8dx, %8d tics:  MFProjectSphere\n",MFCalledMFProjectSphere,MFTimeMFProjectSphere);
  if(MFCalledMFTangentSphere>0)fprintf(fid,"      %8dx, %8d tics:  MFTangentSphere\n",MFCalledMFTangentSphere,MFTimeMFTangentSphere);
  if(MFCalledMFScaleSphere>0)fprintf(fid,"      %8dx, %8d tics:  MFScaleSphere\n",MFCalledMFScaleSphere,MFTimeMFScaleSphere);
  if(MFCalledMFWriteSphereData>0)fprintf(fid,"      %8dx, %8d tics:  MFWriteSphereData\n",MFCalledMFWriteSphereData,MFTimeMFWriteSphereData);
  if(MFCalledMFReadSphere>0)fprintf(fid,"      %8dx, %8d tics:  MFReadSphere\n",MFCalledMFReadSphere,MFTimeMFReadSphere);
  if(MFCalledMFIMFCreateSwallow>0)fprintf(fid,"      %8dx, %8d tics:  MFIMFCreateSwallow\n",MFCalledMFIMFCreateSwallow,MFTimeMFIMFCreateSwallow);
  if(MFCalledMFFreeSwallowData>0)fprintf(fid,"      %8dx, %8d tics:  MFFreeSwallowData\n",MFCalledMFFreeSwallowData,MFTimeMFFreeSwallowData);
  if(MFCalledMFProjectSwallow>0)fprintf(fid,"      %8dx, %8d tics:  MFProjectSwallow\n",MFCalledMFProjectSwallow,MFTimeMFProjectSwallow);
  if(MFCalledMFTangentSwallow>0)fprintf(fid,"      %8dx, %8d tics:  MFTangentSwallow\n",MFCalledMFTangentSwallow,MFTimeMFTangentSwallow);
  if(MFCalledMFScaleSwallow>0)fprintf(fid,"      %8dx, %8d tics:  MFScaleSwallow\n",MFCalledMFScaleSwallow,MFTimeMFScaleSwallow);
  if(MFCalledMFWriteSwallowData>0)fprintf(fid,"      %8dx, %8d tics:  MFWriteSwallowData\n",MFCalledMFWriteSwallowData,MFTimeMFWriteSwallowData);
  if(MFCalledMFReadSwallow>0)fprintf(fid,"      %8dx, %8d tics:  MFReadSwallow\n",MFCalledMFReadSwallow,MFTimeMFReadSwallow);
  if(MFCalledMFIMFCreateTorus>0)fprintf(fid,"      %8dx, %8d tics:  MFIMFCreateTorus\n",MFCalledMFIMFCreateTorus,MFTimeMFIMFCreateTorus);
  if(MFCalledMFFreeTorusData>0)fprintf(fid,"      %8dx, %8d tics:  MFFreeTorusData\n",MFCalledMFFreeTorusData,MFTimeMFFreeTorusData);
  if(MFCalledMFProjectTorus>0)fprintf(fid,"      %8dx, %8d tics:  MFProjectTorus\n",MFCalledMFProjectTorus,MFTimeMFProjectTorus);
  if(MFCalledMFTangentTorus>0)fprintf(fid,"      %8dx, %8d tics:  MFTangentTorus\n",MFCalledMFTangentTorus,MFTimeMFTangentTorus);
  if(MFCalledMFScaleTorus>0)fprintf(fid,"      %8dx, %8d tics:  MFScaleTorus\n",MFCalledMFScaleTorus,MFTimeMFScaleTorus);
  if(MFCalledMFWriteTorusData>0)fprintf(fid,"      %8dx, %8d tics:  MFWriteTorusData\n",MFCalledMFWriteTorusData,MFTimeMFWriteTorusData);
  if(MFCalledMFReadTorus>0)fprintf(fid,"      %8dx, %8d tics:  MFReadTorus\n",MFCalledMFReadTorus,MFTimeMFReadTorus);
  if(MFCalledMFAtlasNumberOfCharts>0)fprintf(fid,"      %8dx, %8d tics:  MFAtlasNumberOfCharts\n",MFCalledMFAtlasNumberOfCharts,MFTimeMFAtlasNumberOfCharts);
  if(MFCalledMFCreateNVectorWithData>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateNVectorWithData\n",MFCalledMFCreateNVectorWithData,MFTimeMFCreateNVectorWithData);
  if(MFCalledMFCreateKVectorWithData>0)fprintf(fid,"      %8dx, %8d tics:  MFCreateKVectorWithData\n",MFCalledMFCreateKVectorWithData,MFTimeMFCreateKVectorWithData);
  if(MFCalledMFMVMul>0)fprintf(fid,"      %8dx, %8d tics:  MFMVMul\n",MFCalledMFMVMul,MFTimeMFMVMul);
  if(MFCalledMFMVMulT>0)fprintf(fid,"      %8dx, %8d tics:  MFMVMulT\n",MFCalledMFMVMulT,MFTimeMFMVMulT);
  if(MFCalledMFMColumn>0)fprintf(fid,"      %8dx, %8d tics:  MFMColumn\n",MFCalledMFMColumn,MFTimeMFMColumn);
  if(MFCalledMFMRow>0)fprintf(fid,"      %8dx, %8d tics:  MFMRow\n",MFCalledMFMRow,MFTimeMFMRow);
  if(MFCalledMFTestBoundaryPoint>0)fprintf(fid,"      %8dx, %8d tics:  MFTestBoundaryPoint\n",MFCalledMFTestBoundaryPoint,MFTimeMFTestBoundaryPoint);

  fflush(fid);
#endif
  return;
 }
