/* 
    @(#)MFLOCANRegion.c	1.2
    02/07/15 15:43:50
   
    PROGRAM NAME:  Manifold

    (c) COPYRIGHT INTERNATIONAL BUSINESS MACHINES
    CORPORATION 12/1/2001.  ALL RIGHTS RESERVED.

    Please refer to the LICENSE file in the top directory

*/
/*      author: Mike Henderson mhender@watson.ibm.com */
/*      date:   November 11, 1997                     */
/*              February 2, 1999   Ported to C        */
/*              October 6, 2000   Added Polyhedron    */
/*              April 24, 2002   Used for LOCA */

#include <stdio.h>
#include <MFNRegion.h>
#include <stdlib.h>

int LOCATest(MFNVector,void*);

MFNRegion MFNRegionCreateLOCA(void *d)
 {
  static char RoutineName[]={"MFNRegionCreateLOCA"};
  MFNRegion loca;

  loca=MFNRegionCreateBaseClass("LOCA");
  MFNRegionSetTest(loca,LOCATest);
  MFNRegionSetData(loca,d);

  return(loca);
 }
